
VOC_VOL_SILENCE  = -5000;



--wanyh 0727  0912  0919
snd_cal_handset_voice_vol = 
{
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {          -500  ,           -4000 ,  0 },
  {          -100  ,           -3900 ,  0 },
  {           300  ,           -3800 ,  0 },
  {           700  ,           -3700 ,  0 },
  {			      1100  , 		      -3600 ,  0 }
};



snd_cal_handset_ring_vol = 
{
	--/*  rx                dtmf               pad        */
{ VOC_VOL_SILENCE, VOC_VOL_SILENCE, 0xff },
  {               0,           -1200,0x1f  },
  {               0,            -800, 0x1f },
  {               0,            -400, 0x1f },
  {               0,               0, 0x1f }
};

snd_cal_handset_beep_vol = 
{
	{ VOC_VOL_SILENCE, VOC_VOL_SILENCE, 0xff },
	{               0,           -4100, 0x1f },
	{               0,           -3700, 0x1f },
	{               0,           -3300, 0x1f },
	{               0,           -2900, 0x1f }
};

snd_cal_handset_midi_vol = 
{
  --/* Internal CODEC - no pad values    */
  --/*  rx                dtmf            pad        */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {           -1100 , VOC_VOL_SILENCE ,  0 },
  {           -700 , VOC_VOL_SILENCE ,  0 },
  {           -200 , VOC_VOL_SILENCE ,  0 },
  {            100 , VOC_VOL_SILENCE ,  0 },
  {            400 , VOC_VOL_SILENCE ,  0 }
};


snd_cal_handset_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 5,  
  num_scale = 1,
  "VOC_CODEC_ON_CHIP_0",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_voice_vol"
};

snd_cal_handset_ring_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_SPEAKER",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_ring_vol"
};


snd_cal_handset_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_ON_CHIP_0",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_beep_vol"
};

snd_cal_handset_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_SPEAKER",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_midi_vol"
};


--/* Handset Device - voice */
snd_cal_handset_voice_control = 
{
  "SND_DEVICE_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_handset_voice_gains"
};


snd_cal_handset_key_beep_control = 
{
  "SND_DEVICE_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_handset_beep_gains"
};

--/* Handset Device - Messages beeps Tones */
snd_cal_handset_message_control = 
{
  "SND_DEVICE_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_handset_ring_gains"
};

--/* Handset Device - ring */
snd_cal_handset_ring_control = 
{
  "SND_DEVICE_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_handset_ring_gains"
};

snd_cal_handset_midi_control = 
{
  "SND_DEVICE_HANDSET",
  "SND_GEN_MIDI",
  "snd_cal_handset_midi_gains"
};


--/***************************************************************************
--*** HFK VOLUME TABLES
--****************************************************************************/
snd_cal_hfk_voice_vol = 
{
  --/* External CODEC - no CODEC gains   */
  --/*  rx                dtmf              pad         */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0xff},
  {               0 ,           -2000 ,  0x7f},
  {               0 ,           -2000 ,  0x5f},
  {               0 ,           -2000 ,  0x3f},
  {               0 ,           -2000 ,  0x1f} 
};                                                                   

snd_cal_hfk_beep_vol = 
{
  --/* External CODEC - no CODEC gains   */
  --/*  rx                dtmf              pad         */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0xff},
  { VOC_VOL_SILENCE ,           -1805 ,  0x7f},
  { VOC_VOL_SILENCE ,           -1805 ,  0x5f},
  { VOC_VOL_SILENCE ,           -1805 ,  0x3f},
  { VOC_VOL_SILENCE ,           -1805 ,  0x1f}
};                                                                   


snd_cal_hfk_midi_vol = 
{
  --/* Internal CODEC - no pad values    */
  --/*  rx                dtmf            pad        */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0xff },
  {           -2000 , VOC_VOL_SILENCE ,  0x7f},
  {           -2000 , VOC_VOL_SILENCE ,  0x5f},
  {           -2000 , VOC_VOL_SILENCE ,  0x3f},
  {           -2000 , VOC_VOL_SILENCE ,  0x1f}
};  

snd_cal_hfk_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_OFF_BOARD",
  warmup_time_ms = 100,
  pad_mask = 0xe0,
  "snd_gen_level_voc_type",
  "snd_cal_hfk_voice_vol"
};

snd_cal_hfk_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_OFF_BOARD",
  warmup_time_ms = 100,
  pad_mask = 0xe0,
  "snd_gen_level_voc_type",
  "snd_cal_hfk_beep_vol"
};

snd_cal_hfk_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_OFF_BOARD",
  warmup_time_ms = 100,
  pad_mask = 0xe0,
  "snd_gen_level_voc_type",
  "snd_cal_hfk_midi_vol"
};


--/* HFK Device - voice */
snd_cal_hfk_voice_control = 
{
  "SND_DEVICE_HFK",
  "SND_GEN_VOC",
  "snd_cal_hfk_voice_gains"
};

--/* HFK Device - Key beep Tones */
snd_cal_hfk_key_beep_control = 
{
  "SND_DEVICE_HFK",
  "SND_GEN_VOC",
  "snd_cal_hfk_beep_gains"
};


snd_cal_hfk_midi_control = 
{
  "SND_DEVICE_HFK",
  "SND_GEN_MIDI",
  "snd_cal_hfk_midi_gains"
};

--/* HFK Device - Message beeps */
snd_cal_hfk_message_control = 
{
  "SND_DEVICE_HFK",
  "SND_GEN_VOC",
  "snd_cal_hfk_beep_gains"
};

--/* HFK Device - ring */
snd_cal_hfk_ring_control = 
{
  "SND_DEVICE_HFK",
  "SND_GEN_VOC",
  "snd_cal_hfk_beep_gains"
};



--/***************************************************************************
--*** HEADSET VOLUME TABLES 
--****************************************************************************/
snd_cal_headset_voice_vol = 
{
  --/* Internal CODEC - no pad values    */
  --/*  rx                dtmf            pad        */
  --[[ miaoll,07.7.18,deleted 
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {          -1000  ,           -3800 ,  0 },
  {           -600  ,           -3400 ,  0 },
  {           -200  ,           -3000 ,  0 },
  { 		       200	,			      -2600 ,  0 },
  {           600  ,           -2200 ,  0 }
  --]]
  --miaoll,07.7.18,added for increase the headset voice
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {          -500  ,           -3800 ,  0 },
  {           -100  ,           -3400 ,  0 },
  {           300  ,           -3000 ,  0 },
  { 		 700	,	-2600 ,  0 },
  {           1100  ,           -2200 ,  0 }
}; 


snd_cal_headset_beep_vol = 
{
  --/*  rx                dtmf               pad        */
  { VOC_VOL_SILENCE, VOC_VOL_SILENCE, 0xff },
  {               0,           -3300, 0x1f},
  {               0,           -2900, 0x1f},
  {               0,           -2500, 0x1f},
  {               0,           -2100, 0x1f }
};

snd_cal_headset_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 5,  
  num_scale = 1,
  "VOC_CODEC_ON_CHIP_1",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_voice_vol"
};

snd_cal_headset_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_ON_CHIP_1",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_beep_vol"
};

snd_cal_headset_midi_vol =                                        --//miaoll
{
  --/* Internal CODEC - no pad values    */
  --/*  rx                dtmf            pad        */
  --[[miaoll,07.7.18,deleted
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {           -3000 , VOC_VOL_SILENCE ,  0 },
  {            -2400 , VOC_VOL_SILENCE ,  0 },
  {            -1800 , VOC_VOL_SILENCE ,  0 },
  {             -1500 , VOC_VOL_SILENCE ,  0 },
  {             -900 , VOC_VOL_SILENCE ,  0 }
  --]]
  --miaoll,07.7.18,added for increase the headset voice
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {           -2200 , VOC_VOL_SILENCE ,  0 },
  {            -1600 , VOC_VOL_SILENCE ,  0 },
  {            -1000 , VOC_VOL_SILENCE ,  0 },
  {             -700 , VOC_VOL_SILENCE ,  0 },
  {             -100 , VOC_VOL_SILENCE ,  0 }
};

snd_cal_headset_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 5,  
  num_scale = 1,
  "VOC_CODEC_ON_CHIP_1",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_midi_vol"
};


--/* Headset Device - voice */
snd_cal_headset_voice_control = 
{
  "SND_DEVICE_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_headset_voice_gains"
};

--/* Headset Device - beep */
snd_cal_headset_key_beep_control = 
{
  "SND_DEVICE_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_headset_beep_gains"
};

snd_cal_headset_midi_control = 
{
  "SND_DEVICE_HEADSET",
  "SND_GEN_MIDI",
  "snd_cal_headset_midi_gains"
};


--/***************************************************************************
--*** STEREO HEADSET VOLUME TABLES 
--****************************************************************************/

snd_cal_stereo_headset_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 5, 
  num_scale = 1,
  "VOC_CODEC_STEREO_HEADSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_voice_vol"
};

snd_cal_stereo_headset_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_STEREO_HEADSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_beep_vol"
};


snd_cal_stereo_headset_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 5, 
  num_scale = 1,
  "VOC_CODEC_STEREO_HEADSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_midi_vol"
};


--/* Headset Device - voice */
snd_cal_stereo_headset_voice_control = 
{
  "SND_DEVICE_HEADSET", --/* Tied to mono headset */
  "SND_GEN_VOC",
  "snd_cal_stereo_headset_voice_gains"
};

--/* Headset Device - beep */
snd_cal_stereo_headset_key_beep_control = 
{
  "SND_DEVICE_HEADSET", --/* Tied to mono headset */
  "SND_GEN_VOC",
  "snd_cal_stereo_headset_beep_gains"
};

snd_cal_stereo_headset_midi_control = 
{
  "SND_DEVICE_HEADSET", --/* Tied to mono headset */
  "SND_GEN_MIDI",
  "snd_cal_stereo_headset_midi_gains"
};


--/***************************************************************************
--*** ANALOG HFK VOLUME TABLES
--****************************************************************************/

snd_cal_ahfk_voice_vol = 
{
  --/* Internal CODEC - no pad values    */
  --/*  rx                dtmf            pad        */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {          -2300  ,           -4000 ,  0 },
  {          -1700  ,           -3900 ,  0 },
  {          -1100  ,           -3800 ,  0 },
  {           -500  ,           -3700 ,  0 }
}; 

snd_cal_ahfk_beep_vol = 
{
  --/* Internal CODEC - no pad values    */
  --/*  rx                dtmf            pad        */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  { VOC_VOL_SILENCE ,           -4000 ,  0 },
  { VOC_VOL_SILENCE ,           -3900 ,  0 },
  { VOC_VOL_SILENCE ,           -3800 ,  0 },
  { VOC_VOL_SILENCE ,           -3700 ,  0 }
};                                                                   
snd_cal_ahfk_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_ON_CHIP_AUX",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_ahfk_voice_vol"
};

snd_cal_ahfk_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_ON_CHIP_AUX",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_ahfk_beep_vol"
};

snd_cal_ahfk_midi_gains
 = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_ON_CHIP_AUX",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_midi_vol"
};


--/* Analog HFK - voice */
snd_cal_ahfk_voice_control = 
{
  "SND_DEVICE_AHFK",
  "SND_GEN_VOC",
  "snd_cal_ahfk_voice_gains"
};

--/* Analog HFK - Key beep Tones */
snd_cal_ahfk_key_beep_control =
{
  "SND_DEVICE_AHFK",
  "SND_GEN_VOC",
  "snd_cal_ahfk_beep_gains"
};

--/* Analog HFK - Message beeps */
snd_cal_ahfk_message_control = 
{
  "SND_DEVICE_AHFK",
  "SND_GEN_VOC",
  "snd_cal_ahfk_beep_gains"
};

--/* Analog HFK - ring */
snd_cal_ahfk_ring_control = 
{
  "SND_DEVICE_AHFK",
  "SND_GEN_VOC",
  "snd_cal_ahfk_beep_gains"
};




snd_cal_ahfk_midi_control = 
{
  "SND_DEVICE_AHFK",
  "SND_GEN_MIDI",
  "snd_cal_ahfk_midi_gains"
};

--/* AUX Device - not supported
--*/
snd_cal_aux_control = 
{
  "SND_DEVICE_HANDSET",
  "SND_GEN_AUX",
  0
};
snd_cal_mono_in_sadc_out_handset_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_MONO_SADC_OUT_MONO_HANDSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_voice_vol"
};
snd_cal_mono_in_sadc_out_handset_ring_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_MONO_SADC_OUT_MONO_HANDSET",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_ring_vol"
};

snd_cal_mono_in_sadc_out_handset_midi_gains =
{
 	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "SND_DEVICE_IN_M_SADC_OUT_HANDSET",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_midi_vol"
};

snd_cal_mono_in_sadc_out_handset =
{
	"SND_DEVICE_IN_M_SADC_OUT_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_mono_in_sadc_out_handset_voice_gains"
};

snd_cal_mono_in_sadc_out_handset_key_beep_control =
{
	"SND_DEVICE_IN_M_SADC_OUT_HANDSET",
	"SND_GEN_VOC",
	"snd_cal_mono_in_sadc_out_handset_ring_gains" 
};

snd_cal_mono_in_sadc_out_handset_message_control =
{
	"SND_DEVICE_IN_M_SADC_OUT_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_mono_in_sadc_out_handset_ring_gains" 
};

snd_cal_mono_in_sadc_out_handset_ring_control =
{
  "SND_DEVICE_IN_M_SADC_OUT_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_mono_in_sadc_out_handset_ring_gains" 
};

snd_cal_mono_in_sadc_out_handset_midi_control =
{
  "SND_DEVICE_IN_M_SADC_OUT_HANDSET",
  "SND_GEN_MIDI",
  "snd_cal_mono_in_sadc_out_handset_midi_gains"
};

snd_cal_mono_in_sadc_out_handset_aux_control =
{
  "SND_DEVICE_IN_M_SADC_OUT_HANDSET",
  "SND_GEN_AUX",
  0
}

snd_cal_stereo_in_sadc_out_handset_voice_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_STEREO_SADC_OUT_MONO_HANDSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_voice_vol"
};

snd_cal_stereo_in_sadc_out_handset_ring_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_STEREO_SADC_OUT_MONO_HANDSET",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_ring_vol"
};

snd_cal_stereo_in_sadc_out_handset_midi_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "SND_DEVICE_IN_S_SADC_OUT_HANDSET",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_midi_vol"
}

snd_cal_stereo_in_sadc_out_handset =
{
  "SND_DEVICE_IN_S_SADC_OUT_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_stereo_in_sadc_out_handset_voice_gains"
};

snd_cal_stereo_in_sadc_out_handset_key_beep_control = 
{
  "SND_DEVICE_IN_S_SADC_OUT_HANDSET",
	"SND_GEN_VOC",
	"snd_cal_stereo_in_sadc_out_handset_ring_gains"
};

snd_cal_stereo_in_sadc_out_handset_message_control =
{
  "SND_DEVICE_IN_S_SADC_OUT_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_stereo_in_sadc_out_handset_ring_gains" 
};

snd_cal_stereo_in_sadc_out_handset_ring_control =
{
  "SND_DEVICE_IN_S_SADC_OUT_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_stereo_in_sadc_out_handset_ring_gains"
};

snd_cal_stereo_in_sadc_out_handset_midi_control =
{
  "SND_DEVICE_IN_S_SADC_OUT_HANDSET",
  "SND_GEN_MIDI",
  "snd_cal_stereo_in_sadc_out_handset_midi_gains"
};

snd_cal_stereo_in_sadc_out_handset_aux_control =
{
  "SND_DEVICE_IN_S_SADC_OUT_HANDSET",
  "SND_GEN_AUX",
  0
};

snd_cal_mono_in_sadc_out_st_headset_voice_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_MONO_SADC_OUT_STEREO_HEADSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_voice_vol"
};

snd_cal_mono_in_sadc_out_st_headset_beep_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_MONO_SADC_OUT_STEREO_HEADSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_beep_vol"
};

snd_cal_mono_in_sadc_out_st_headset_midi_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_MONO_SADC_OUT_STEREO_HEADSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_midi_vol"
};

snd_cal_mono_in_sadc_out_st_headset_voice_control =
{
  "SND_DEVICE_IN_M_SADC_OUT_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_mono_in_sadc_out_st_headset_voice_gains" 
};

snd_cal_mono_in_sadc_out_st_headset_key_beep_control =
{
  "SND_DEVICE_IN_M_SADC_OUT_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_mono_in_sadc_out_st_headset_beep_gains" 
};

snd_cal_mono_in_sadc_out_st_headset_midi_control =
{
  "SND_DEVICE_IN_M_SADC_OUT_HEADSET",
  "SND_GEN_MIDI",
  "snd_cal_mono_in_sadc_out_st_headset_midi_gains" 
};

snd_cal_stereo_in_sadc_out_st_headset_voice_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_STEREO_SADC_OUT_STEREO_HEADSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_voice_vol"
};

snd_cal_stereo_in_sadc_out_st_headset_beep_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_STEREO_SADC_OUT_STEREO_HEADSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_beep_vol"
};

snd_cal_stereo_in_sadc_out_st_headset_midi_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_IN_STEREO_SADC_OUT_STEREO_HEADSET",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_midi_vol"
};

snd_cal_stereo_in_sadc_out_st_headset_voice_control=
{
  "SND_DEVICE_IN_S_SADC_OUT_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_stereo_in_sadc_out_st_headset_voice_gains" 
};

snd_cal_stereo_in_sadc_out_st_headset_key_beep_control =
{
  "SND_DEVICE_IN_S_SADC_OUT_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_stereo_in_sadc_out_st_headset_beep_gains" 
};

snd_cal_stereo_in_sadc_out_st_headset_midi_control =
{
  "SND_DEVICE_IN_S_SADC_OUT_HEADSET",
  "SND_GEN_MIDI",
  "snd_cal_stereo_in_sadc_out_st_headset_midi_gains" 
};



--/***************************************************************************
--*** STEREO DAC VOLUME TABLES
--****************************************************************************/
snd_cal_sdac_voice_vol = 
{
  --/* Internal CODEC - no pad values    */
  --/*  rx                dtmf            pad        */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {          -1450  ,           -4000 ,  0 },
  {           -850  ,           -3900 ,  0 },
  {           -250  ,           -3800 ,  0 },
  {            350  ,           -3700 ,  0 }
};

snd_cal_sdac_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_SDAC",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_sdac_voice_vol"
};

snd_cal_sdac_voice_control = 
{
  "SND_DEVICE_SDAC",
  "SND_GEN_VOC",
  "snd_cal_sdac_voice_gains"
};

snd_cal_sdac_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_SDAC",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_beep_vol"
};

snd_cal_sdac_key_beep_control = 
{
  "SND_DEVICE_SDAC",
  "SND_GEN_VOC",
  "snd_cal_sdac_beep_gains"
};


snd_cal_sdac_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_SDAC",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_midi_vol"
};

snd_cal_sdac_midi_control = 
{
  "SND_DEVICE_SDAC",
  "SND_GEN_MIDI",
  "snd_cal_sdac_midi_gains"
};

--/***************************************************************************
--*** SPEAKER PHONE VOLUME TABLES
--****************************************************************************/
--wanyh change 0914 0928
snd_cal_sp_voice_vol = 
{
  --/* Internal CODEC - no pad values    */
 -- /*  rx                dtmf            pad        */
 
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  { 		  200	,			-2600 ,  0 },
  { 		     600	,			-2500 ,  0 },
  {        1000  ,     -2400 ,  0 },
  {        1400  ,     -2300 ,  0 },
  {       1800  ,     -2200 ,  0 } 
};


snd_cal_sp_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 5,	
  num_scale = 1,
  "VOC_CODEC_SPEAKER",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_sp_voice_vol"
};

snd_cal_sp_voice_control = 
{
  "SND_DEVICE_SPEAKER_PHONE",
  "SND_GEN_VOC",
  "snd_cal_sp_voice_gains"
};

--wanyh 0814  0829
snd_cal_sp_beep_vol = 
{
  --/*  rx                dtmf               pad        */
  
  { VOC_VOL_SILENCE, VOC_VOL_SILENCE, 0xff },
  {               0,           -1700, 0x1f },
  {               0,           -1500, 0x1f },
  {               0,           -1100, 0x1f },
  {               0,            -800, 0x1f }
  
  --[[
  { VOC_VOL_SILENCE, VOC_VOL_SILENCE, 0xff},
  {               0,           -1400, 0x1f},
  {               0,            -700, 0x1f},
  {               0,           -1000, 0x1f},
  {               0,            -200, 0x1f}
  --]]
};

snd_cal_sp_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_SPEAKER",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_sp_beep_vol"
};

snd_cal_sp_key_beep_control = {
  "SND_DEVICE_SPEAKER_PHONE",
  "SND_GEN_VOC",
  "snd_cal_sp_beep_gains"
};

snd_cal_sp_message_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_SPEAKER",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_ring_vol"
};

snd_cal_sp_message_control = 
{
  "SND_DEVICE_SPEAKER_PHONE",
  "SND_GEN_VOC",
  "snd_cal_sp_message_gains"
};

snd_cal_sp_ring_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_SPEAKER",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_ring_vol"
};

snd_cal_sp_ring_control = 
{
  "SND_DEVICE_SPEAKER_PHONE",
  "SND_GEN_VOC",
  "snd_cal_sp_ring_gains"
};

--wanyh change 0914
snd_cal_sp_midi_vol = 
{
  --/* Internal CODEC - no pad values    */
  --/*  rx                dtmf            pad        */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {           -1000 , VOC_VOL_SILENCE ,  0 },
  {           -600 , VOC_VOL_SILENCE ,  0 },
  {           -100 , VOC_VOL_SILENCE ,  0 },
  {            200 , VOC_VOL_SILENCE ,  0 },
  {            500 , VOC_VOL_SILENCE ,  0 }
};  

snd_cal_sp_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 5, 
  num_scale = 1,
  "VOC_CODEC_SPEAKER",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_sp_midi_vol"
};

snd_cal_sp_midi_control = 
{
  "SND_DEVICE_SPEAKER_PHONE",
  "SND_GEN_MIDI",
  "snd_cal_sp_midi_gains"
};
--/***************************************************************************
--*** TTY HFK VOLUME TABLES
--****************************************************************************/
snd_cal_tty_hfk_voice_vol =
{
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0xff},
  {               0 ,           -2000 ,  0xdf}
};

snd_cal_tty_hfk_voice_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 1,
  num_scale = 1,
  "VOC_CODEC_TTY_OFF_BOARD",
  warmup_time_ms = 100,
  pad_mask = 0xe0,
  "snd_gen_level_voc_type",
  "snd_cal_tty_hfk_voice_vol"
};

snd_cal_tty_hfk_voice_control =
{
  "SND_DEVICE_TTY_HFK",
  "SND_GEN_VOC",
  "snd_cal_tty_hfk_voice_gains"
};


--/***************************************************************************
--*** TTY HEADSET VOLUME TABLES 
--****************************************************************************/
snd_cal_tty_headset_voice_vol =
{
	{ VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
	{            1200 ,           -4200 ,  0 }
};

snd_cal_tty_headset_voice_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 1,
  num_scale = 1,
  "VOC_CODEC_TTY_ON_CHIP_1",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_tty_headset_voice_vol"
};

snd_cal_tty_headset_beep_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_TTY_ON_CHIP_1",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_beep_vol"
};

snd_cal_tty_headset_voice_control =
{
  "SND_DEVICE_TTY_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_tty_headset_voice_gains"
};

snd_cal_tty_headset_key_beep_control =
{
  "SND_DEVICE_TTY_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_tty_headset_beep_gains"
};

--/***************************************************************************
--*** TTY VCO VOLUME TABLES 
--****************************************************************************/
snd_cal_tty_vco_voice_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 1,
  num_scale = 1,
  "VOC_CODEC_TTY_VCO",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_tty_headset_voice_vol"
};

snd_cal_tty_vco_voice_control =
{
  "SND_DEVICE_TTY_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_tty_vco_voice_gains"
};


--/***************************************************************************
--*** TTY HCO VOLUME TABLES 
--****************************************************************************/

snd_cal_tty_hco_voice_gains =
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_TTY_VCO",
  warmup_time_ms = 21,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_voice_vol"
};

snd_cal_tty_hco_voice_control =
{
  "SND_DEVICE_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_tty_hco_voice_gains"
};


--/***************************************************************************
--*** BT INTERCOM VOLUME TABLES
--****************************************************************************/
snd_cal_bt_intercom_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 5,
  num_scale = 1,
  "VOC_CODEC_BT_INTERCOM",
  warmup_time_ms = 0,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_voice_vol"
};

--/* BT Intercom Device - voice */
snd_cal_bt_intercom_voice_control = 
{
  "SND_DEVICE_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_bt_intercom_voice_gains"
};

snd_cal_bt_intercom_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_BT_INTERCOM",
  warmup_time_ms = 0,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_handset_beep_vol"
};

snd_cal_bt_intercom_beep_control = 
{
  "SND_DEVICE_HANDSET",
  "SND_GEN_VOC",
  "snd_cal_bt_intercom_beep_gains"
};

--/***************************************************************************
--*** BT HEADSET VOLUME TABLES 
--****************************************************************************/
 


snd_cal_bt_ring_vol = 
{
    0,9961,9680,8750,5000
};

snd_cal_bt_headset_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 5, 
  num_scale = 1,
  "VOC_CODEC_BT_AG",
  warmup_time_ms = 0,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_voice_vol"
};

snd_cal_bt_ring_gains = 
{
	"snd_gen_ring_cal_type",
  "SND_GEN_RING",
  num_levels = 4,
  num_scale = 1,
  "UINT16",
  "snd_cal_bt_ring_vol"
};

--/* Handset Device - voice */
snd_cal_bt_headset_voice_control = 
{
  "SND_DEVICE_BT_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_bt_headset_voice_gains"
};

snd_cal_bt_key_beep_control = 
{
  "SND_DEVICE_BT_HEADSET",
  "SND_GEN_RING",
  "snd_cal_bt_ring_gains"
};

snd_cal_bt_ag_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 5,
  num_scale = 1,
  "VOC_CODEC_BT_AG",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_voice_vol"
};

snd_cal_bt_ag_midi_control = 
{
  "SND_DEVICE_BT_HEADSET",
  "SND_GEN_MIDI",
  "snd_cal_bt_ag_midi_gains"
};

--/******************************************************************************
--*** BT Advanced Audio Distribution profile (A2DP) volume tables 
--*******************************************************************************/



snd_cal_bt_a2dp_headset_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 5, 
  num_scale = 1,
  "VOC_CODEC_BT_A2DP",
  warmup_time_ms = 0,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_voice_vol"
};

snd_cal_bt_dual_headset_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 5, 
  num_scale = 1,
  "VOC_CODEC_BT_A2DP_SCO",
  warmup_time_ms = 0,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_voice_vol"
};

snd_cal_bt_a2dp_ring_gains = 
{
	"snd_gen_ring_cal_type",
  "SND_GEN_RING",
  num_levels = 4,
  num_scale = 1,
  "UINT16",
  "snd_cal_bt_ring_vol"
};

snd_cal_bt_dual_headset_ring_gains = 
{
	"snd_gen_ring_cal_type",
  "SND_GEN_RING",
  num_levels = 4,
  num_scale = 1,
  "UINT16",
  "snd_cal_bt_ring_vol"
};

--/* Handset Device - voice */
snd_cal_bt_a2dp_headset_voice_control = 
{
  "SND_DEVICE_BT_A2DP_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_bt_a2dp_headset_voice_gains"
};
snd_cal_bt_dual_headset_voice_control = 
{
  "SND_DEVICE_BT_A2DP_SCO_HEADSET",
  "SND_GEN_VOC",
  "snd_cal_bt_dual_headset_voice_gains"
};

snd_cal_bt_dual_headset_key_beep_control = 
{
  "SND_DEVICE_BT_A2DP_SCO_HEADSET",
  "SND_GEN_RING",
  "snd_cal_bt_dual_headset_ring_gains"
};

snd_cal_bt_a2dp_key_beep_control = 
{
  "SND_DEVICE_BT_A2DP_HEADSET",
  "SND_GEN_RING",
  "snd_cal_bt_a2dp_ring_gains"
};

snd_cal_bt_a2dp_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 5, 
  num_scale = 1,
  "VOC_CODEC_BT_A2DP",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_midi_vol"
};

snd_cal_bt_dual_headset_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 5, 
  num_scale = 1,
  "VOC_CODEC_BT_A2DP_SCO",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_midi_vol"
};

snd_cal_bt_a2dp_midi_control = 
{
  "SND_DEVICE_BT_A2DP_HEADSET",
  "SND_GEN_MIDI",
  "snd_cal_bt_a2dp_midi_gains"
};

snd_cal_bt_dual_headset_midi_control = 
{
  "SND_DEVICE_BT_A2DP_SCO_HEADSET",
  "SND_GEN_MIDI",
  "snd_cal_bt_dual_headset_midi_gains"
};


--/***************************************************************************
--*** USB VOLUME TABLES 
--****************************************************************************/
snd_cal_usb_voice_vol = 
{
 -- /* External CODEC - no CODEC gains   */
  --/*  rx                dtmf            pad        */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {           -200  ,           -2300 ,  0 },
  {            200  ,           -2200 ,  0 },
  {            600  ,           -2100 ,  0 },
  {           1000  ,           -2000 ,  0 }
};                                                                   

snd_cal_usb_beep_vol = 
{
  --/* External CODEC - no CODEC gains   */
  --/*  rx                dtmf               pad        */
  { VOC_VOL_SILENCE, VOC_VOL_SILENCE, 0xff},
  {               0,           -2100, 0x1f},
  {               0,           -1700, 0x1f},
  {               0,           -1300, 0x1f},
  {               0,            -900, 0x1f}
};                                                                   

snd_cal_usb_midi_vol = 
{
 -- /* Internal CODEC - no pad values    */
 -- /*  rx                dtmf            pad        */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {           -1200 , VOC_VOL_SILENCE ,  0 },
  {            -800 , VOC_VOL_SILENCE ,  0 },
  {            -400 , VOC_VOL_SILENCE ,  0 },
  {               0 , VOC_VOL_SILENCE ,  0 }
};  

--/***************************************************************************
--*** USB GAIN TABLES
--****************************************************************************/
snd_cal_usb_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_USB",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_usb_voice_vol"
};

snd_cal_usb_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_USB",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_usb_beep_vol"
};

snd_cal_usb_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_USB",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_usb_midi_vol"
};

--/***************************************************************************
--*** USB CONTROL TABLES 
--****************************************************************************/

--/* USB Device - voice */
snd_cal_usb_voice_control = 
{
  "SND_DEVICE_USB",
  "SND_GEN_VOC",
  "snd_cal_usb_voice_gains"
};

--/* USB Device - beep/ring */
snd_cal_usb_key_beep_control = 
{
  "SND_DEVICE_USB",
  "SND_GEN_VOC",
  "snd_cal_usb_beep_gains"
};

--/* USB Device - Message beeps */
snd_cal_usb_message_control = 
{
  "SND_DEVICE_USB",
  "SND_GEN_VOC",
  "snd_cal_usb_beep_gains"
};

--/* USB Device - ring */
snd_cal_usb_ring_control = 
{
  "SND_DEVICE_USB",
  "SND_GEN_VOC",
  "snd_cal_usb_beep_gains"
};

--/* USB Device - midi */
snd_cal_usb_midi_control = 
{
  "SND_DEVICE_USB",
  "SND_GEN_MIDI",
  "snd_cal_usb_midi_gains"
};

--/***************************************************************************
--*** STEREO USB GAIN TABLES
--****************************************************************************/
snd_cal_stereo_usb_voice_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_STEREO_USB",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_usb_voice_vol"
};

snd_cal_stereo_usb_beep_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_VOC",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_STEREO_USB",
  warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_usb_beep_vol"
};

snd_cal_stereo_usb_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 4,
  num_scale = 1,
  "VOC_CODEC_STEREO_USB",
   warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_usb_midi_vol"
};

--/***************************************************************************
--*** Stereo USB CONTROL TABLES 
--****************************************************************************/

--/* Stereo USB Device - voice */
snd_cal_stereo_usb_voice_control = 
{
  "SND_DEVICE_STEREO_USB",
  "SND_GEN_VOC",
  "snd_cal_stereo_usb_voice_gains"
};

--/* Stereo USB Device - beep/ring */
snd_cal_stereo_usb_key_beep_control = 
{
  "SND_DEVICE_STEREO_USB",
  "SND_GEN_VOC",
  "snd_cal_stereo_usb_beep_gains"
};

--/* Stereo USB Device - Message beeps */
snd_cal_stereo_usb_message_control = 
{
  "SND_DEVICE_STEREO_USB",
  "SND_GEN_VOC",
  "snd_cal_stereo_usb_beep_gains"
};

--/* Stereo USB Device - ring */
snd_cal_stereo_usb_ring_control = 
{
  "SND_DEVICE_STEREO_USB",
  "SND_GEN_VOC",
  "snd_cal_stereo_usb_beep_gains"
};


--/* Stereo USB Device - midi */
snd_cal_stereo_usb_midi_control = 
{
  "SND_DEVICE_STEREO_USB",
  "SND_GEN_MIDI",
  "snd_cal_stereo_usb_midi_gains"
};

snd_cal_headset_and_sp_midi_vol = 
{
--  /* Internal CODEC - no pad values    */
 -- /*  rx				dtmf			pad 	   */
  { VOC_VOL_SILENCE , VOC_VOL_SILENCE ,  0 },
  {           -1400 , VOC_VOL_SILENCE ,  0 },
  {           -1000 , VOC_VOL_SILENCE ,  0 },
  {            -600 , VOC_VOL_SILENCE ,  0 },
  {            -200 , VOC_VOL_SILENCE ,  0 },
  {             200 , VOC_VOL_SILENCE ,  0 }
}; 

snd_cal_headset_and_sp_midi_gains = 
{
	"snd_gen_voc_cal_type",
  "SND_GEN_MIDI",
  num_levels = 5,
  num_scale = 1,
  "VOC_CODEC_HEADSET_AND_SPEAKER",
   warmup_time_ms = 100,
  pad_mask = 0xff,
  "snd_gen_level_voc_type",
  "snd_cal_headset_and_sp_midi_vol"
};

snd_cal_headset_and_sp_midi_control = 
{
  "SND_DEVICE_HEADSET_AND_SPEAKER",
  "SND_GEN_MIDI",
  "snd_cal_headset_and_sp_midi_gains"
};

