QDSP_RESERVED_V = 0x0000; -- /* Reserved value      */
QDSP_LOOP_SEL_M      =      0xC000; --/* Codec data path loop mask        */
QDSP_LOOP_SEL_NONE_V =      0x0000 ;--/* Normal codec data path           */
QDSP_LOOP_SEL_PLUS_V =      0x4000;--/* Loop+ codec data path for testing*/
QDSP_LOOP_SEL_MINUS_V =     0x8000 ;--/* Loop- codec data path for testing*/
QDSP_LOOP_SEL_OVS_V  =      0xC000; --/* Over sampled data input          */
QDSP_I2S_CTRL_M      =      0x2000; --/* I2S enable control mask          */
QDSP_I2S_ENA_V       =      0x2000; --/* Enable                           */
QDSP_I2S_DIS_V       =      0x0000; --/* Disable                          */
QDSP_SDAC_SIGN_CTRL_M =     0x1000 ;--/* SDAC signal control mask         */
QDSP_SDAC_SIGN_SAME_V =     0x0000; --/* Signal is same as before         */
QDSP_SDAC_SIGN_REV_V   =    0x1000 ;--/* Signal is reversed               */

QDSP_SDAC_EN_M    =         0x0002; --/* Stereo DAC enable mask           */
QDSP_SDAC_EN_OFF_V   =      0x0000; --/* AUX PCM available                */
QDSP_SDAC_EN_ON_V   =       0x0002; --/* AUX PCM used for stereo DAC      */
QDSP_RESERVED_0_M    =      0x0001; --/* Bit 0 reserved mask              */

QDSP_SDAC_SIGN_SWAP_M   =   0x0008;-- /* SDAC sign swap mask              */
QDSP_SDAC_SIGN_SWAP_ENA_V = 0x0008;-- /* Enable sign swapping of samples  */
QDSP_SDAC_SIGN_SWAP_DIS_V = 0x0000 ;--/* Disable sign swapping of samples */

QDSP_PCM_MODE_M         =   0x7000;-- /* PCM Mode mask                    */
QDSP_PCM_MODE_INTERNAL_V  = 0x0000;-- /* Internal routing mode            */
QDSP_PCM_MODE_ENCODER_V  =  0x1000 ;--/* Encoder routing mode             */
QDSP_PCM_MODE_DECODER_V  =  0x2000 ;--/* Decoder routing mode             */
QDSP_PCM_MODE_STANDALONE_V =0x3000 ;--/* Standalone codec mode            */

QDSP_PCM_MODE_BT_AUDIO_V  = 0x4000 ;--/* Bluetooth audio gateway mode     */
QDSP_PCM_MODE_BT_LA_V     = 0x5000 ;--/* Bluetooth local audio mode       */
QDSP_PCM_MODE_BT_EXT_COD_V= 0x6000 ;--/* Bluetooth internal use only      */

QDSP_PCM_MODE_32K_INT_STEREO_V = 0x6000 ;--/* Wideband internal stereo 
QDSP_PCM_MODE_32K_INT_V   = 0x4000;-- /* Wideband internal codec mode     */
QDSP_PCM_MODE_32K_STEREO_V =0x8000 ;--/* External 32kHz Stereo DAC mode   */
QDSP_PCM_MODE_32K_MONO_V   =0xA000 ;--/* External 32kHz Mono DAC mode     */
QDSP_PCM_MODE_32K_SINGLE_MONO_V= 0xC000 ;

QDSP_WB_COMP_M        =     0x0080;-- /* Wideband compensation mask       */
QDSP_WB_COMP_ENA_V    =     0x0080;-- /* Enable WB comp filter            */
QDSP_WB_COMP_DIS_V    =     0x0000 ;--/* Disable WB comp filter           */

QDSP_SDAC_SIGN_SWAP_M    =  0x0008 ;--/* SDAC sign swap mask              */
QDSP_SDAC_SIGN_SWAP_ENA_V = 0x0008 ;--/* Enable sign swapping of samples  */
QDSP_SDAC_SIGN_SWAP_DIS_V  =0x0000;-- /* Disable sign swapping of

QDSP_RX_HPF_M       =       0x0800;-- /* RX High Pass Filter control mask */
QDSP_RX_HPF_ENA_V   =       0x0800;-- /* RX High Pass Filter enable       */
QDSP_RX_HPF_DIS_V   =       0x0000;-- /* RX High Pass Filter disable      */
QDSP_TX_HPF_M       =       0x0400 ;--/* RX High Pass Filter control mask */
QDSP_TX_HPF_ENA_V   =       0x0400 ;--/* RX High Pass Filter enable       */
QDSP_TX_HPF_DIS_V   =       0x0000 ;--/* RX High Pass Filter disable      */
QDSP_TX_SLOPE_FILT_M=       0x0200;--/* RX High Pass Filter control mask */
QDSP_TX_SLOPE_FILT_ENA_V =  0x0200;-- /* RX High Pass Filter enable       */
QDSP_TX_SLOPE_FILT_DIS_V  = 0x0000 ;--/* RX High Pass Filter disable      */


QDSP_CODEC_RES_M       =    0x0100;-- /* Codec Reset Mask                 */
QDSP_CODEC_RES_V       =    0x0100;-- /* Reset codec within 1 mSec        */
QDSP_CODEC_RES_DIS_V   =    0x0000;-- /* Disable Reset codec in 1 msec    */
QDSP_DEC_PAD_M         =    0x0040 ;--/* Decoder padding control mask     */
QDSP_DEC_PAD_ENA_V     =    0x0040;-- /* Value to enable dec padding      */
QDSP_DEC_PAD_DIS_V     =    0x0000 ;--/* Value to disable dec padding     */
QDSP_DEC_PCM_M         =    0x0030 ;--/* Decoder PCM format mask          */
QDSP_DEC_PCM_LIN_V     =    0x0020;-- /* Set Decoder PCM format: linear   */
QDSP_DEC_PCM_ALAW_V    =    0x0010;-- /* Set Decoder PCM format: alaw     */
QDSP_DEC_PCM_ULAW_V    =    0x0000;-- /* Set Decoder PCM format: ulaw     */
QDSP_ENC_PAD_M         =    0x0004 ;--/* Encoder padding control mask     */
QDSP_ENC_PAD_ENA_V     =    0x0004;-- /* Value to enable enc padding      */
QDSP_ENC_PAD_DIS_V     =    0x0000 ;--/* Value to disable enc padding     */
QDSP_ENC_PCM_M         =    0x0003 ;--/* Decoder PCM format mask          */
QDSP_ENC_PCM_LIN_V     =    0x0002 ;--/* Set Encoder PCM format: linear   */
QDSP_ENC_PCM_ALAW_V    =    0x0001 ;--/* Set Encoder PCM format: alaw     */
QDSP_ENC_PCM_ULAW_V    =    0x0000 ;--/* Set Encoder PCM format: ulaw     */

QDSP_DEC_SLOT_M           = 0x3E00 ;--/* Decoder slot control mask        */
QDSP_ENC_SLOT_M           = 0x01F0;-- /* Encoder slot control mask        */
QDSP_PCM_LB_M             = 0x0008;-- /* PCM Loopback control mask        */
QDSP_PCM_LB_DIS_V         = 0x0000;-- /* PCM Loopback disable             */
QDSP_PCM_LB_ENA_V         = 0x0008;--/* PCM Loopback enable              */
QDSP_DEC_PCM_WIDTH_M      = 0x0002 ;--/* Decoder PCM width mask           */
QDSP_DEC_PCM_WIDTH_16_V   = 0x0002 ;--/* Decoder PCM width 16 bits        */
QDSP_DEC_PCM_WIDTH_8_V    = 0x0000;-- /* Decoder PCM width 8 bits         */
QDSP_ENC_PCM_WIDTH_M      =  0x0001 ;--/* Decoder PCM width mask           */
QDSP_ENC_PCM_WIDTH_16_V   = 0x0001 ;--/* Decoder PCM width 16 bits        */
QDSP_ENC_PCM_WIDTH_8_V    = 0x0000;-- /* Decoder PCM width 8 bits         */
QDSP_PCM_CLK_SENSE_NORM_V = 0x0000 ;--/* Unused value 


QDSP_MIC_RESET_DIS_M     =  0x8000;-- /* MIC reset disable mask           */
QDSP_MIC_RESET_DIS_OFF_V =  0x0000;-- /* MIC reset disable control off    */
QDSP_MIC_RESET_DIS_ON_V  =  0x8000;-- /* MIC reset disable control on     */
QDSP_NSOUT_SELECT_OFF_V  =  0x0000;--

QDSP_PDN_BANDGAP_M       =  0x2000 ;--/* PDN_BANDGAP control mask         */
QDSP_PDN_BANDGAP_OFF_V   =  0x0000 ;--/* PDN_BANDGAP control off          */
QDSP_PDN_BANDGAP_ON_V    =  0x2000 ;--/* PDN_BANDGAP control on           */
QDSP_PDN_REFERENCE_M     =  0x1000;-- /* PDN_REFERENCE control mask       */
QDSP_PDN_REFERENCE_OFF_V  = 0x0000 ;--/* PDN_REFERENCE control off        */
QDSP_PDN_REFERENCE_ON_V   = 0x1000 ;--/* PDN_REFERENCE control on         */
QDSP_PDN_MODULATOR_M      = 0x0800 ;--/* PDN_MODULATOR control mask       */
QDSP_PDN_MODULATOR_OFF_V  = 0x0000 ;--/* PDN_MODULATOR control off        */
QDSP_PDN_MODULATOR_ON_V   = 0x0800 ;--/* PDN_MODULATOR control on         */
QDSP_PDN_RECONST_M        = 0x0400 ;--/* PDN_RECONSTRUCTION control mask  */
QDSP_PDN_RECONST_OFF_V    = 0x0000 ;--/* PDN_RECONSTRUCTION control off   */
QDSP_PDN_RECONST_ON_V     = 0x0400 ;--/* PDN_RECONSTRUCTION control on    */
QDSP_RECON_IN_SEL_M       = 0x0200 ;--/* RECON_IN_SELECT control mask     */
QDSP_RECON_IN_SEL_OFF_V   = 0x0000 ;--/* RECON_IN_SELECT control off      */
QDSP_RECON_IN_SEL_ON_V    = 0x0200 ;--/* RECON_IN_SELECT control on       */
QDSP_COMB_IN_SEL_M        = 0x0100 ;--/* COMB_IN_SELECT control mask      */
QDSP_COMB_IN_SEL_OFF_V    = 0x0000 ;--/* COMB_IN_SELECT control off       */
QDSP_COMB_IN_SEL_ON_V     = 0x0100 ;

QDSP_VBAP_AMP_SEL_M       = 0x00C0 ;--/* Amp select mask                  */
QDSP_VBAP_AMP_SEL_NONE_V  = 0x0000;-- /* All amps power down              */
QDSP_VBAP_AMP_SEL_EAR_1_V = 0x0040 ;--/* Ear Amp 1 selected               */
QDSP_VBAP_AMP_SEL_EAR_2_V = 0x0080 ;--/* Ear Amp 2 selected               */
QDSP_VBAP_AMP_SEL_AUX_V   = 0x00C0 ;--/* Aux Amp selected 


QDSP_VBAP_MIC2_BYP_M    =   0x0020;-- /* Mic Amp 2 bypass control mask    */
QDSP_VBAP_MIC2_BYP_V    =   0x0020;-- /* Mic Amp 2 bypassed               */
QDSP_VBAP_MIC2_ENA_V    =   0x0000 ;--/* Mic Amp 2 in line                */

QDSP_VBAP_MIC1_GAIN_M   =   0x0018 ;--/* Mic Amp 1 gain select maskB      */
QDSP_VBAP_MIC1_GAIN_M2_V =  0x0000 ;--/* Mic Amp 1 gain = -2dB            */
QDSP_VBAP_MIC1_GAIN_P6_V =  0x0008;-- /* Mic Amp 1 gain = 6dB             */
QDSP_VBAP_MIC1_GAIN_P8_V =  0x0010;-- /* Mic Amp 1 gain = 8dB             */
QDSP_VBAP_MIC1_GAIN_P16_V = 0x0018 ;--/* Mic Amp 1 gain = 16dB            */

QDSP_VBAP_MIC_SEL_M      =  0x0006 ;--/* Mic amp select mask              */
QDSP_VBAP_MIC_SEL_NONE_V =  0x0000 ;--/* Mic amp, mic bias amp power down */
QDSP_VBAP_MIC_SEL_1_V    =  0x0002 ;--/* Mic 1 selected                   */
QDSP_VBAP_MIC_SEL_2_V    =  0x0004;-- /* Mic 2 selected                   */
QDSP_VBAP_MIC_SEL_AUX_V  =  0x0006;-- /* Aux Mic selected                 */

QDSP_VBAP_CODEC_PWR_M    =  0x0001;-- /* Codec ref. system control mask   */
QDSP_VBAP_CODEC_PWR_OFF_V = 0x0000;-- /* Codec ref. system control off    */
QDSP_VBAP_CODEC_PWR_ON_V  = 0x0001;-- 


QDSP_VBAP_CODEC_I2S_MONO      =  0x0010 ;-- /* Incoming PCM I2S mono   */
QDSP_VBAP_CODEC_I2S_STEREO    =  0x0020 ;-- /* Incoming PCM I2S stereo */
QDSP_VBAP_CODEC_INTERNAL_MONO =  0x0040 ;-- /* Incoming PCM internal
                                          --         codec mono   */
QDSP_VBAP_CODEC_INTERNAL_STEREO =0x0080 ;-- /* Incoming PCM internal
                                           --        codec stereo */
QDSP_VBAP_CODEC_MODE_SEL_MONO  = 0x0008 ;-- /* mode select */
QDSP_VBAP_CODEC_MODE_SEL_STEREO= 0x000C ;-- /* mode select */
QDSP_VBAP_CODEC_L_R_N           =0x0002 ;


QDSP_LOOP_SEL_M           = 0xC000 ;--/* Codec data path loop mask        */
QDSP_LOOP_SEL_NONE_V      = 0x0000;-- /* Normal codec data path           */
QDSP_LOOP_SEL_PLUS_V      = 0x4000;-- /* Loop+ codec data path for testing*/
QDSP_LOOP_SEL_MINUS_V     = 0x8000 ;--/* Loop- codec data path for testing*/
QDSP_LOOP_SEL_OVS_V       = 0xC000;-- /* Over sampled data input          */
QDSP_I2S_CTRL_M           = 0x2000;-- /* I2S enable control mask          */
QDSP_I2S_ENA_V            = 0x2000;-- /* Enable                           */
QDSP_I2S_DIS_V            = 0x0000;-- /* Disable                          */
QDSP_SDAC_SIGN_CTRL_M     = 0x1000;-- /* SDAC signal control mask         */
QDSP_SDAC_SIGN_SAME_V     = 0x0000;-- /* Signal is same as before         */
QDSP_SDAC_SIGN_REV_V      = 0x1000;-- /* Signal is reversed               */


QDSP_AUX_CLK_CONTROL_M    = 0x0800;-- /* Aux PCM Clock / Sync control     */
QDSP_AUX_CLK_ENA_V        = 0x0800;-- /* Enable                           */
QDSP_AUX_CLK_DIS_V        = 0x0000;-- /* Disable (use AUX_CLK/SYNC_VAL)   */
QDSP_AUX_CLK_VAL_M        = 0x0400;-- /* Aux PCM Clock value control mask */
QDSP_AUX_CLK_VAL_HI_V     = 0x0400;-- /* High                             */
QDSP_AUX_CLK_VAL_LO_V     = 0x0000;-- /* Low                              */
QDSP_AUX_SYNC_VAL_M       = 0x0200;-- /* Aux PCM Sync value  control mask */
QDSP_AUX_SYNC_VAL_HI_V    = 0x0200;-- /* High                             */
QDSP_AUX_SYNC_VAL_LO_V    = 0x0000;-- /* Low                              */
QDSP_CLK_SYNC_LOOP_M      = 0x0100;-- /* Aux PCM loop control mask        */
QDSP_CLK_SYNC_LOOP_ENA_V  = 0x0100;-- /* Loop PCM_CLK/SYNC to AUX_CLK/SYNC*/
QDSP_CLK_SYNC_LOOP_DIS_V  = 0x0000;-- /* Disable loop                     */

QDSP_SDAC_BCLK_M          = 0x0080;-- /* SDAC bit clock control mask      */
QDSP_SDAC_BCLK_INP_V      = 0x0080 ;--/* SDAC bit clock is input          */
QDSP_SDAC_BCLK_OUTP_V     = 0x0000;-- /* SDAC bit clock is output         */

QDSP_AUX_PCM_CLK_SNS_M    = 0x0040;-- /* PCM Clock sense control mask     */
QDSP_AUX_CLK_SENSE_NORM_V = 0x0000;-- /* PCM Clock sense normal           */
QDSP_AUX_CLK_SENSE_INV_V  = 0x0040;-- /* PCM Clock sense inverted         */
QDSP_SDAC_MCLK_M          = 0x0020;-- /* SDAC master clock control mask   */
QDSP_SDAC_MCLK_INP_V      = 0x0020 ;--/* SDAC master clock is input       */
QDSP_SDAC_MCLK_OUTP_V     = 0x0000;-- /* SDAC master clock is output      */

QDSP_AUX_CODEC_SEL_M      = 0x0010;-- /* AUX codec select mask            */
QDSP_AUX_CODEC_NORM_V     = 0x0000;-- /* Normal (Aux DOUT=AUX_DOUT_VAL)   */
QDSP_AUX_CODEC_AUX_V      = 0x0010;-- /* Auxiliary output                 */
QDSP_AUX_POLARITY_M       = 0x0008;-- /* AUX codec polarity control mask  */
QDSP_AUX_POL_INVERTED_V   = 0x0008;-- /* AUX codec inverted               */
QDSP_AUX_POL_NORMAL_V     = 0x0000;-- /* AUX codec normal                 */
QDSP_PCM_CLK_DIR_M        = 0x0004;-- /* PCM Clock source control mask    */
QDSP_PCM_CLK_DIR_MOD_V    = 0x0004;-- /* Modulator                        */
QDSP_PCM_CLK_DIR_EXT_V    = 0x0000;-- /* PCM_CLK pin                      */
QDSP_SDAC_EN_M            = 0x0002;-- /* Stereo DAC enable mask           */
QDSP_SDAC_EN_OFF_V        = 0x0000;-- /* AUX PCM available                */
QDSP_SDAC_EN_ON_V         = 0x0002;-- /* AUX PCM used for stereo DAC      */
QDSP_RESERVED_0_M         = 0x0001;-- /* Bit 0 reserved mask              */
QDSP_RESERVED_V           = 0x0000; 



VOC_CAL_SDAC_CTRL_M = QDSP_I2S_CTRL_M + QDSP_SDAC_EN_M;
VOC_CAL_SIGN_SWAP_V = QDSP_SDAC_SIGN_SWAP_DIS_V;

QDSP_PHONE_PCM_FORMAT = QDSP_PCM_MODE_INTERNAL_V +
                        QDSP_RX_HPF_ENA_V         +
                        QDSP_TX_HPF_ENA_V          +
                        QDSP_TX_SLOPE_FILT_DIS_V  +
                        QDSP_CODEC_RES_DIS_V     +
                        QDSP_DEC_PAD_ENA_V         +
                        QDSP_DEC_PCM_LIN_V       +
                        QDSP_DEC_PAD_ENA_V        +
                        QDSP_ENC_PCM_LIN_V         ;
QDSP_INTERNAL_PCM_FMT_GSM =QDSP_PCM_MODE_INTERNAL_V   +
                                    QDSP_RX_HPF_ENA_V          +
                                    QDSP_TX_HPF_ENA_V         +
                                    QDSP_TX_SLOPE_FILT_DIS_V   +
                                    QDSP_CODEC_RES_DIS_V       +
                                    QDSP_DEC_PAD_DIS_V         +
                                    QDSP_DEC_PCM_LIN_V         +
                                    QDSP_ENC_PAD_DIS_V        +
                                    QDSP_ENC_PCM_LIN_V        ; 
                                    
QDSP_INTERNAL_PCM_FORMAT = QDSP_PCM_MODE_INTERNAL_V   +
                                   QDSP_RX_HPF_ENA_V          +
                                   QDSP_TX_HPF_ENA_V         +
                                   QDSP_TX_SLOPE_FILT_DIS_V  +
                                   QDSP_CODEC_RES_DIS_V      +
                                   QDSP_DEC_PAD_DIS_V        +
                                   QDSP_DEC_PCM_LIN_V       +
                                   QDSP_ENC_PAD_DIS_V        +
                                   QDSP_ENC_PCM_LIN_V         ;
QDSP_INTERNAL_PCM_FORMAT_1 = QDSP_PCM_MODE_INTERNAL_V   +
                                     QDSP_RX_HPF_DIS_V         +
                                     QDSP_TX_HPF_ENA_V         +
                                     QDSP_TX_SLOPE_FILT_ENA_V   +
                                     QDSP_CODEC_RES_DIS_V      +
                                     QDSP_DEC_PAD_DIS_V         +
                                     QDSP_DEC_PCM_LIN_V        +
                                     QDSP_ENC_PAD_DIS_V        +
                                     QDSP_ENC_PCM_LIN_V       ;   
QDSP_INTERNAL_PCM_FMT_1_GSM = QDSP_PCM_MODE_INTERNAL_V   +
                                      QDSP_RX_HPF_DIS_V         +
                                      QDSP_TX_HPF_ENA_V        +
                                      QDSP_TX_SLOPE_FILT_ENA_V  +
                                      QDSP_CODEC_RES_DIS_V       +
                                      QDSP_DEC_PAD_DIS_V        +
                                      QDSP_DEC_PCM_LIN_V        +
                                      QDSP_ENC_PAD_DIS_V        +
                                      QDSP_ENC_PCM_LIN_V    ;
QDSP_AUX_PCM_FORMAT     = QDSP_PCM_MODE_INTERNAL_V   +
                                  QDSP_DEC_PAD_ENA_V         +
                                  QDSP_DEC_PCM_ULAW_V      +
                                  QDSP_ENC_PAD_ENA_V        +
                                  QDSP_ENC_PCM_ULAW_V      ;
QDSP_BT_INTERCOM_PCM_FORMAT  =QDSP_PCM_MODE_STANDALONE_V +
                                      QDSP_RX_HPF_ENA_V          +
                                      QDSP_TX_HPF_ENA_V         +
                                      QDSP_TX_SLOPE_FILT_ENA_V   +
                                      QDSP_CODEC_RES_DIS_V      +
                                      QDSP_DEC_PAD_DIS_V       +
                                      QDSP_DEC_PCM_LIN_V       +
                                      QDSP_ENC_PAD_DIS_V    +
                                      QDSP_ENC_PCM_LIN_V      ; 
QDSP_BT_AG_PCM_FORMAT    = QDSP_PCM_MODE_INTERNAL_V   +
                                   QDSP_RX_HPF_DIS_V          +
                                   QDSP_TX_HPF_DIS_V         +
                                   QDSP_TX_SLOPE_FILT_DIS_V   +
                                   QDSP_CODEC_RES_DIS_V       +
                                   QDSP_DEC_PAD_DIS_V        +
                                   QDSP_DEC_PCM_LIN_V        +
                                   QDSP_ENC_PAD_DIS_V        +
                                   QDSP_ENC_PCM_LIN_V      ;                                      
QDSP_BT_AG_MM_PCM_FORMAT = QDSP_PCM_MODE_32K_STEREO_V +
                                   QDSP_RX_HPF_DIS_V         +
                                   QDSP_TX_HPF_DIS_V        +
                                   QDSP_TX_SLOPE_FILT_DIS_V  +
                                   QDSP_CODEC_RES_DIS_V    +
                                   QDSP_DEC_PAD_DIS_V       +
                                   QDSP_DEC_PCM_LIN_V    +
                                   QDSP_ENC_PAD_DIS_V    +
                                   QDSP_ENC_PCM_LIN_V       ;                                      

QDSP_PCM_CTRL_DEF       = QDSP_PCM_LB_DIS_V          +
                                  QDSP_PCM_CLK_SENSE_NORM_V  +
                                  QDSP_DEC_PCM_WIDTH_16_V  +
                                  QDSP_ENC_PCM_WIDTH_16_V  ;
                                   
QDSP_AUX_PCM_CTRL_DEF   = QDSP_PCM_LB_DIS_V         +
                                  QDSP_PCM_CLK_SENSE_NORM_V  +
                                  QDSP_DEC_PCM_WIDTH_16_V    +
                                  QDSP_ENC_PCM_WIDTH_16_V   ;                                      
QDSP_CODEC_INT_UNUSED  = 0;
QDSP_INT_16K_PCM_FORMAT = QDSP_PCM_MODE_32K_INT_V    +
                                  QDSP_CODEC_RES_DIS_V      +
                                  QDSP_WB_COMP_ENA_V         +
                                  QDSP_DEC_PAD_DIS_V       +
                                  QDSP_DEC_PCM_LIN_V       +
                                  QDSP_SDAC_SIGN_SWAP_DIS_V ;

VOC_CAL_SIGN_SWAP_V = QDSP_SDAC_SIGN_SWAP_DIS_V;                                  
QDSP_INTERNAL_SDAC_PCM_FORMAT = QDSP_PCM_MODE_32K_INT_STEREO_V +
                                        QDSP_CODEC_RES_DIS_V           +
                                        QDSP_WB_COMP_DIS_V             +
                                        QDSP_DEC_PAD_DIS_V             +
                                        QDSP_DEC_PCM_LIN_V             +
                                        VOC_CAL_SIGN_SWAP_V   ;  
QDSP_SBC_PCM_FORMAT          = QDSP_PCM_MODE_32K_INT_STEREO_V +
                                        QDSP_CODEC_RES_DIS_V           +
                                        QDSP_WB_COMP_DIS_V             +
                                        QDSP_DEC_PAD_DIS_V             +
                                        QDSP_DEC_PCM_LIN_V             +
                                        VOC_CAL_SIGN_SWAP_V            ;                                                                      
QDSP_SADC_PCM_FORMAT    = QDSP_PCM_MODE_32K_INT_STEREO_V +
                                  QDSP_CODEC_RES_DIS_V           +
                                  QDSP_WB_COMP_DIS_V             +
                                  QDSP_DEC_PAD_DIS_V             +
                                  QDSP_DEC_PCM_LIN_V            +
                                  VOC_CAL_SIGN_SWAP_V       ;                                      
                                      
QDSP_CODEC_CTRL_AMP_OFF  = QDSP_VBAP_CODEC_PWR_OFF_V;
QDSP_CODEC_CTRL_AMP_1    = QDSP_VBAP_CODEC_PWR_ON_V;
QDSP_CODEC_CTRL_AMP_2    = QDSP_VBAP_CODEC_PWR_ON_V;
QDSP_CODEC_CTRL_VCO      = QDSP_VBAP_CODEC_PWR_ON_V;
QDSP_CODEC_CTRL_HCO      = QDSP_VBAP_CODEC_PWR_ON_V;
QDSP_CODEC_CTRL_AMP_AUX  = QDSP_VBAP_CODEC_PWR_ON_V;
QDSP_CODEC_CTRL_WB_AMP_1 = QDSP_VBAP_CODEC_PWR_ON_V;
QDSP_CODEC_CTRL_WB_AMP_2 = QDSP_VBAP_CODEC_PWR_ON_V;

QDSP_CODEC_CTRL_PCM_IN_1  = QDSP_VBAP_CODEC_I2S_MONO        +
                            QDSP_VBAP_CODEC_MODE_SEL_MONO   +
                            QDSP_VBAP_CODEC_L_R_N           +
                            QDSP_VBAP_CODEC_PWR_ON_V ;

QDSP_CODEC_CTRL_PCM_IN_2  = QDSP_VBAP_CODEC_I2S_STEREO     +
                            QDSP_VBAP_CODEC_MODE_SEL_STEREO +
                            QDSP_VBAP_CODEC_L_R_N           +
                            QDSP_VBAP_CODEC_PWR_ON_V        ;

QDSP_CODEC_CTRL_PCM_IN_3  = QDSP_VBAP_CODEC_INTERNAL_MONO   +
                            QDSP_VBAP_CODEC_MODE_SEL_MONO   +
                            QDSP_VBAP_CODEC_L_R_N           +
                            QDSP_VBAP_CODEC_PWR_ON_V        ;

QDSP_CODEC_CTRL_PCM_IN_4  = QDSP_VBAP_CODEC_INTERNAL_STEREO +
                            QDSP_VBAP_CODEC_MODE_SEL_STEREO +
                            QDSP_VBAP_CODEC_L_R_N           +
                            QDSP_VBAP_CODEC_PWR_ON_V        ;                                      
                                      
QDSP_CODEC_INT    = QDSP_LOOP_SEL_NONE_V      +
                            QDSP_I2S_DIS_V             +
                            QDSP_SDAC_SIGN_SAME_V      +
                            QDSP_AUX_CLK_DIS_V         +
                            QDSP_AUX_CLK_VAL_LO_V     +
                            QDSP_AUX_SYNC_VAL_LO_V     +
                            QDSP_CLK_SYNC_LOOP_DIS_V   +
                            QDSP_SDAC_BCLK_OUTP_V      +
                            QDSP_AUX_CLK_SENSE_NORM_V  +
                            QDSP_SDAC_MCLK_OUTP_V      +
                            QDSP_AUX_CODEC_NORM_V      +
                            QDSP_AUX_POL_NORMAL_V      +
                            QDSP_PCM_CLK_DIR_EXT_V    +
                            QDSP_SDAC_EN_OFF_V        ;
QDSP_CODEC_ON_BOARD     = QDSP_LOOP_SEL_NONE_V       +
                          QDSP_I2S_DIS_V            +
                          QDSP_SDAC_SIGN_SAME_V      +
                          QDSP_AUX_CLK_DIS_V         +
                          QDSP_AUX_CLK_VAL_LO_V      +
                          QDSP_AUX_SYNC_VAL_LO_V     +
                          QDSP_CLK_SYNC_LOOP_DIS_V   +
                          QDSP_SDAC_BCLK_OUTP_V      +
                          QDSP_AUX_CLK_SENSE_NORM_V  +
                          QDSP_SDAC_MCLK_OUTP_V      +
                          QDSP_AUX_CODEC_NORM_V      +
                          QDSP_AUX_POL_NORMAL_V      +
                          QDSP_PCM_CLK_DIR_MOD_V     +
                          QDSP_SDAC_EN_OFF_V        ;
QDSP_CODEC_OFF_BOARD    = QDSP_LOOP_SEL_NONE_V      +
                          QDSP_I2S_DIS_V             +
                          QDSP_SDAC_SIGN_SAME_V      +
                          QDSP_AUX_CLK_ENA_V         +
                          QDSP_AUX_CLK_VAL_LO_V      +
                          QDSP_AUX_SYNC_VAL_LO_V     +
                          QDSP_CLK_SYNC_LOOP_DIS_V   +
                          QDSP_SDAC_BCLK_OUTP_V      +
                          QDSP_AUX_CLK_SENSE_NORM_V  +
                          QDSP_SDAC_MCLK_OUTP_V      +
                          QDSP_AUX_CODEC_AUX_V       +
                          QDSP_AUX_POL_INVERTED_V   +
                          QDSP_PCM_CLK_DIR_EXT_V     +
                          QDSP_SDAC_EN_OFF_V         ;                                      
QDSP_INTERNAL_PCM_FORMAT_MIXER = QDSP_PCM_MODE_INTERNAL_V   +
                                 QDSP_RX_HPF_DIS_V          +
                                 QDSP_TX_HPF_DIS_V          +
                                 QDSP_TX_SLOPE_FILT_DIS_V  +
                                 QDSP_CODEC_RES_DIS_V      +
                                 QDSP_DEC_PAD_DIS_V         +
                                 QDSP_DEC_PCM_LIN_V        +
                                 QDSP_ENC_PAD_DIS_V         +
                                 QDSP_ENC_PCM_LIN_V         ;

QDSP_INTERNAL_CODEC_MIXER = 0x0001;

QDSP_INTERNAL_PCM_FORMAT_1_MIXER = QDSP_PCM_MODE_DECODER_V   +
	                                 QDSP_RX_HPF_DIS_V          +
	                                 QDSP_TX_HPF_DIS_V         +
	                                 QDSP_TX_SLOPE_FILT_DIS_V   +
	                                 QDSP_CODEC_RES_DIS_V     +
	                                 QDSP_DEC_PAD_DIS_V        +
	                                 QDSP_DEC_PCM_LIN_V         +
	                                 QDSP_ENC_PAD_DIS_V         +
	                                 QDSP_ENC_PCM_LIN_V        ;

QDSP_BT_AG_PCM_FORMAT_MIXER  =  QDSP_PCM_MODE_M      + 
                               QDSP_PCM_MODE_ENCODER_V+
                               QDSP_RX_HPF_DIS_V          +
                               QDSP_TX_HPF_DIS_V          +
                               QDSP_TX_SLOPE_FILT_DIS_V   +
                               QDSP_CODEC_RES_DIS_V      +
                               QDSP_DEC_PAD_DIS_V         +
                               QDSP_DEC_PCM_LIN_V        +
                               QDSP_ENC_PAD_DIS_V         +
                               QDSP_ENC_PCM_LIN_V     ;                                      


--add by lincd.amoi 2007-4-12
QDSP_8KHZ_INT_MODE_M      = 0x000F --/* 8KHz interrupt mode mask         */
QDSP_8KHZ_INT_MODE_PCM_V  = 0x0001 --/* AUX PCM interrupt                */
QDSP_8KHZ_INT_MODE_USB_V  = 0x0002 --/* USB interrupt                    */
QDSP_8KHZ_INT_MODE_CODEC_V = 0x0004 --/* Internal codec interrupt         */
QDSP_8KHZ_INT_MODE_BT_V    = 0x0008 --/* Bluetooth interrupt              */

QDSP_8KHZ_INT_MODE_CODEC_V = 0x0004 

QDSP_DMA_CH0_SEL_PCM_V = 0;
QDSP_DMA_CH1_SEL_PCM_V = 0;
QDSP_DMA_CH2_SEL_DFM_V = 0;
QDSP_DMA_CH3_SEL_DFM_V = 0;
QDSP_DMA_EXT_RPCM_VDSP_V = 0;
QDSP_DMA_MDSP_RPCM_VDSP_V = 0;
QDSP_DMA_VDSP_RPCM_AUX_V = 0;
QDSP_DMA_CH0_SYNC_SEL_ASYNC_V = 0;

QDSP_DMA_PATH_DEFAULT     = QDSP_DMA_CH0_SEL_PCM_V        + 
                                    QDSP_DMA_CH1_SEL_PCM_V        + 
                                    QDSP_DMA_CH2_SEL_DFM_V        + 
                                    QDSP_DMA_CH3_SEL_DFM_V        + 
                                    QDSP_DMA_EXT_RPCM_VDSP_V      + 
                                    QDSP_DMA_MDSP_RPCM_VDSP_V     +
                                    QDSP_DMA_VDSP_RPCM_AUX_V      + 
                                    QDSP_DMA_CH0_SYNC_SEL_ASYNC_V ;

voc_cal_codec_int0 = 
{
  QDSP_INTERNAL_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_1,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,       --/* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V

};                             

--

voc_cal_codec_int0_mixer = 
{
  QDSP_INTERNAL_PCM_FORMAT_MIXER,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_1,
  QDSP_CODEC_INT,
  QDSP_INTERNAL_CODEC_MIXER, -- /* Internal codec control: For Saturn HW */
  QDSP_8KHZ_INT_MODE_CODEC_V
};                                      
voc_cal_codec_int1_mixer = 
{
  QDSP_INTERNAL_PCM_FORMAT_1_MIXER,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_2,
  QDSP_CODEC_INT,
  QDSP_INTERNAL_CODEC_MIXER, -- /* Internal codec control: For Saturn HW */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_bt_ag_mixer = 
{
  QDSP_BT_AG_PCM_FORMAT_MIXER,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_INT_UNUSED,
  QDSP_CODEC_OFF_BOARD,
  QDSP_DMA_PATH_DEFAULT,      -- /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_PCM_V
};

voc_cal_codec_gsm_int0 = 
{
  QDSP_INTERNAL_PCM_FMT_GSM,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_1,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,      -- /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
}; 
voc_cal_codec_int1 = 
{
  QDSP_INTERNAL_PCM_FORMAT_1,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_2,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,       --/* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};                                     
voc_cal_codec_gsm_int1 = 
{
  QDSP_INTERNAL_PCM_FMT_1_GSM,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_2,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_aux = {
  QDSP_INTERNAL_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_AUX,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_speaker = 
{
  QDSP_INTERNAL_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_1,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,     --  /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};                                      
voc_cal_codec_gsm_speaker = 
{
  QDSP_INTERNAL_PCM_FMT_GSM,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_1,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
}; 
voc_cal_codec_on_board = 
{
  QDSP_PHONE_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_INT_UNUSED,
  QDSP_CODEC_ON_BOARD,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_PCM_V
}; 
voc_cal_codec_bt_intercom = 
{
  QDSP_BT_INTERCOM_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_1,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,     --  /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};                                                                                                           
voc_cal_codec_bt_ag = 
{
  QDSP_BT_AG_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_INT_UNUSED,
  QDSP_CODEC_OFF_BOARD,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_PCM_V
}; 
voc_cal_mm_codec_bt_ag = 
{
  QDSP_BT_AG_MM_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_INT_UNUSED,
  QDSP_CODEC_OFF_BOARD,
  QDSP_DMA_BT_CODEC_INT,   --    /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_BT_V
};
voc_cal_codec_i2ssbc = {
  QDSP_SADC_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_2,
  QDSP_CODEC_SADC,
  QDSP_DMA_PATH_SADC,       --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_bt_sbc = {
  QDSP_SBC_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_WB_AMP_1,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,      -- /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_off_board = {
  QDSP_AUX_PCM_FORMAT,
  QDSP_AUX_PCM_CTRL_DEF,
  QDSP_CODEC_INT_UNUSED,
  QDSP_CODEC_OFF_BOARD,
  QDSP_DMA_PATH_DEFAULT,   --    /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_PCM_V
};
voc_cal_codec_16k_int0 = {
  QDSP_INT_16K_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_WB_AMP_1,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,     --  /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_16k_int1 =
 {
  QDSP_INT_16K_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_WB_AMP_2,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_16k_aux =
 {
  QDSP_INT_16K_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_AUX,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_16k_speaker = 
{
  QDSP_INT_16K_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_WB_AMP_1,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,      -- /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_int1_mm_rec = 
{
  QDSP_INTERNAL_PCM_FORMAT_1,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,     --  /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_16k_int0_mm_rec =
 {
  QDSP_INT_16K_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_int0_mm_rec = 
{
  QDSP_INTERNAL_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_16k_int1_mm_rec = 
{
  QDSP_INT_16K_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_16k_aux_mm_rec = 
{
  QDSP_INT_16K_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,   --    /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_16k_speaker_mm_rec = 
{
  QDSP_INT_16K_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,     --  /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_sdac_mm_rec = {
  QDSP_INTERNAL_SDAC_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,   --    /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_sadc_mono_mm_rec = 
{
  QDSP_SADC_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,      --    /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
}; 
voc_cal_codec_sadc_stereo_mm_rec =
{
  QDSP_SADC_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_4,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --      /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
}; 
voc_cal_codec_off_board_mm_rec =
{
  QDSP_AUX_PCM_FORMAT,
  QDSP_AUX_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_OFF_BOARD,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_PCM_V
};
--/* Off-chip, on-board codec */
voc_cal_codec_on_board_mm_rec = 
{
  QDSP_PHONE_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_PCM_IN_3,
  QDSP_CODEC_ON_BOARD,
  QDSP_DMA_PATH_DEFAULT,     --  /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_PCM_V
};
voc_cal_codec_sdac = 
{
  QDSP_INTERNAL_SDAC_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_WB_AMP_1,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,       --/* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
}; 

voc_cal_codec_tty_vco =
 {
  QDSP_INTERNAL_PCM_FORMAT_1,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_VCO,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};
voc_cal_codec_tty_hco = 
{
  QDSP_INTERNAL_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_HCO,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,     --  /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
}; 
voc_cal_codec_usb = {
  QDSP_INTERNAL_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_AUX,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,    --   /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
}; 
voc_cal_codec_stereo_usb = {
  QDSP_INTERNAL_SDAC_PCM_FORMAT,
  QDSP_PCM_CTRL_DEF,
  QDSP_CODEC_CTRL_AMP_AUX,
  QDSP_CODEC_INT,
  QDSP_DMA_PATH_DEFAULT,  --     /* DMA Path control        */
  QDSP_8KHZ_INT_MODE_CODEC_V
};     
--/*ADIE cfg */

ADIE_CODEC_EN1_R        =                                 0x35;

ADIE_CODEC_EN1_INIT_M   =                                 0xFF;

ADIE_CODEC_EN1_EN_HPH_D_L_M                    =   0x80;
ADIE_CODEC_EN1_HPH_D_L_ENA_V                   =   0x80;
ADIE_CODEC_EN1_HPH_D_L_DIS_V                   =   0x00;

ADIE_CODEC_EN1_RXCK_RXCKDLY_L_ENA_V            =   0x40;
ADIE_CODEC_EN1_RXCK_RXCKDLY_L_DIS_V             =  0x00;
ADIE_CODEC_EN1_EN_BIQU_L_M                      =  0x20;
ADIE_CODEC_EN1_BIQU_L_ENA_V                     =  0x20;
ADIE_CODEC_EN1_BIQU_L_DIS_V                      = 0x00;

ADIE_CODEC_EN1_EN_EAR1_M                         = 0x10;
ADIE_CODEC_EN1_EAR1_ENA_V                    =     0x10;
ADIE_CODEC_EN1_EAR1_DIS_V                   =      0x00;

ADIE_CODEC_EN1_EN_HPH_L_M                   =      0x08;
ADIE_CODEC_EN1_HPH_L_ENA_V                    =    0x08;
ADIE_CODEC_EN1_HPH_L_DIS_V                   =     0x00;

ADIE_CODEC_EN1_EN_AUX_SE_M                    =    0x04;
ADIE_CODEC_EN1_AUX_SE_ENA_V                   =    0x04;
ADIE_CODEC_EN1_AUX_SE_DIS_V                   =    0x00;

ADIE_CODEC_EN1_EN_LINE_OUT_L_M                 =   0x02;
ADIE_CODEC_EN1_LINE_OUT_L_ENA_V                =   0x02;
ADIE_CODEC_EN1_LINE_OUT_L_DIS_V                =   0x00;

ADIE_CODEC_EN1_CODEC_ENABLE_M              =       0x01;
ADIE_CODEC_EN1_CODEC_ENA_V                =        0x01;
ADIE_CODEC_EN1_CODEC_DIS_V                 =       0x00;

ADIE_CODEC_EN1_INIT_V                        =     0x00;

ADIE_CODEC_EN2_R                            =      0x36;

ADIE_CODEC_EN2_INIT_M                         =    0xFF;

ADIE_CODEC_EN2_EN_HPH_D_R_M                 =      0x80;
ADIE_CODEC_EN2_HPH_D_R_ENA_V                =      0x80;
ADIE_CODEC_EN2_HPH_D_R_DIS_V                =      0x00;

ADIE_CODEC_EN2_EN_RXCK_RXCKDLY_R_M            =    0x40;
ADIE_CODEC_EN2_RXCK_RXCKDLY_R_ENA_V           =    0x40;
ADIE_CODEC_EN2_RXCK_RXCKDLY_R_DIS_V           =    0x00;

ADIE_CODEC_EN2_EN_BIQU_R_M                     =  0x20;
ADIE_CODEC_EN2_BIQU_R_ENA_V                    =   0x20;
ADIE_CODEC_EN2_BIQU_R_DIS_V                    =   0x00;

ADIE_CODEC_EN2_EN_CHD_D_M                      = 0x10;
ADIE_CODEC_EN2_CHD_D_ENA_V                     =   0x10;
ADIE_CODEC_EN2_CHD_D_DIS_V                     =   0x00;
ADIE_CODEC_EN2_EN_HPH_R_M                      =   0x08;
ADIE_CODEC_EN2_HPH_R_ENA_V                     =   0x08
ADIE_CODEC_EN2_HPH_R_DIS_V                     =   0x00;

ADIE_CODEC_EN2_EN_CHD_M                         =  0x04;
ADIE_CODEC_EN2_CHD_ENA_V                       =   0x04;
ADIE_CODEC_EN2_CHD_DIS_V                       =   0x00;

ADIE_CODEC_EN2_EN_LINE_OUT_R_M                 =   0x02;
ADIE_CODEC_EN2_LINE_OUT_R_ENA_V                =   0x02;
ADIE_CODEC_EN2_LINE_OUT_R_DIS_V                 =  0x00;

ADIE_CODEC_EN2_EN_PA_REF_M                     =   0x01;
ADIE_CODEC_EN2_PA_REF_ENA_V                   =    0x01;
ADIE_CODEC_EN2_PA_REF_DIS_V                    =   0x00;

ADIE_CODEC_EN2_INIT_V                          =   0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_EN3 : CODEC enable register 3

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_EN3_R                               =   0x37;

ADIE_CODEC_EN3_INIT_M                         =    0xFF;

ADIE_CODEC_EN3_EN_MICBIAS_M                    =   0x80;
ADIE_CODEC_EN3_MICBIAS_ENA_V                   =   0x80;
ADIE_CODEC_EN3_MICBIAS_DIS_V                  =    0x00;

ADIE_CODEC_EN3_EN_TXCK_L_M                     =   0x40;
ADIE_CODEC_EN3_TXCK_L_ENA_V                    =   0x40;
ADIE_CODEC_EN3_TXCK_L_DIS_V                    =   0x00;
ADIE_CODEC_EN3_EN_DITHER_L_M                   =   0x20;
ADIE_CODEC_EN3_DITHER_L_ENA_V                  =   0x20;
ADIE_CODEC_EN3_DITHER_L_DIS_V                  =   0x00;

ADIE_CODEC_EN3_EN_TXADC_L_M                    =   0x10;
ADIE_CODEC_EN3_TXADC_L_ENA_V                   =   0x10;
ADIE_CODEC_EN3_TXADC_L_DIS_V                   =   0x00;

ADIE_CODEC_EN3_EN_AAF_L_M                       =  0x08;
ADIE_CODEC_EN3_AAF_L_ENA_V                      =  0x08;
ADIE_CODEC_EN3_AAF_L_DIS_V                      =  0x00;

ADIE_CODEC_EN3_EN_MICAMP2_L_M                   =  0x04;
ADIE_CODEC_EN3_MICAMP2_L_ENA_V                  =  0x04;
ADIE_CODEC_EN3_MICAMP2_L_DIS_V                   = 0x00;

ADIE_CODEC_EN3_EN_MICAMP1_L_M                   =  0x02;
ADIE_CODEC_EN3_MICAMP1_L_ENA_V                 =   0x02;
ADIE_CODEC_EN3_MICAMP1_L_DIS_V                  =  0x00;

ADIE_CODEC_EN3_EN_REF_TXFE_L_M                 =   0x01;
ADIE_CODEC_EN3_REF_TXFE_L_ENA_V               =    0x01;
ADIE_CODEC_EN3_REF_TXFE_L_DIS_V                =   0x00;

ADIE_CODEC_EN3_INIT_V                          =   0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_EN4 : CODEC enable register 4

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_EN4_R                                =  0x38;

ADIE_CODEC_EN4_INIT_M                           =  0x7F;



ADIE_CODEC_EN4_EN_TXCK_R_M                     =   0x40;
ADIE_CODEC_EN4_TXCK_R_ENA_V                    = 0x40;
ADIE_CODEC_EN4_TXCK_R_DIS_V                    =   0x00;

ADIE_CODEC_EN4_EN_DITHER_R_M                    =  0x20;
ADIE_CODEC_EN4_DITHER_R_ENA_V                  =   0x20;
ADIE_CODEC_EN4_DITHER_R_DIS_V                  =   0x00;

ADIE_CODEC_EN4_EN_TXADC_R_M                   =    0x10;
ADIE_CODEC_EN4_TXADC_R_ENA_V                    =  0x10;
ADIE_CODEC_EN4_TXADC_R_DIS_V                   =   0x00;

ADIE_CODEC_EN4_EN_AAF_R_M                       =  0x08;
ADIE_CODEC_EN4_AAF_R_ENA_V                      =  0x08;
ADIE_CODEC_EN4_AAF_R_DIS_V                      =  0x00;

ADIE_CODEC_EN4_EN_MICAMP2_R_M                   =  0x04;
ADIE_CODEC_EN4_MICAMP2_R_ENA_V                  =  0x04;
ADIE_CODEC_EN4_MICAMP2_R_DIS_V                  =  0x00;

ADIE_CODEC_EN4_EN_MICAMP1_R_M                   =  0x02;
ADIE_CODEC_EN4_MICAMP1_R_ENA_V                   = 0x02;
ADIE_CODEC_EN4_MICAMP1_R_DIS_V                   = 0x00;

ADIE_CODEC_EN4_EN_REF_TXFE_R_M                    =0x01;
ADIE_CODEC_EN4_REF_TXFE_R_ENA_V                  = 0x01;
ADIE_CODEC_EN4_REF_TXFE_R_DIS_V                   =0x00;

ADIE_CODEC_EN4_INIT_V                            = 0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_EN5 : CODEC enable register 5

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_EN5_R                                 = 0x39;

ADIE_CODEC_EN5_INIT_M                            = 0x0F;



ADIE_CODEC_EN5_EN_AUX_PGA_L_M                    = 0x08;
ADIE_CODEC_EN5_AUX_PGA_L_ENA_V                  =  0x08;
ADIE_CODEC_EN5_AUX_PGA_L_DIS_V                  =  0x00;

ADIE_CODEC_EN5_EN_AUX_PGA_R_M                  =   0x04;
ADIE_CODEC_EN5_AUX_PGA_R_ENA_V                  =  0x04;
ADIE_CODEC_EN5_AUX_PGA_R_DIS_V                  =  0x00;

ADIE_CODEC_EN5_EN_REF_BG_M                    =    0x02;
ADIE_CODEC_EN5_REF_BG_ENA_V                     =  0x02;
ADIE_CODEC_EN5_REF_BG_DIS_V                   =    0x00;

ADIE_CODEC_EN5_EN_BANDGAP_M                    =   0x01;
ADIE_CODEC_EN5_BANDGAP_ENA_V                   =   0x01;
ADIE_CODEC_EN5_BANDGAP_DIS_V                   =   0x00;

ADIE_CODEC_EN5_INIT_V                          =   0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_EN6 : CODEC enable register 6

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_EN6_R                                 = 0x3A;

ADIE_CODEC_EN6_INIT_M                             =0xFF;

ADIE_CODEC_EN6_EN_HPH_CHD_REF_M                  = 0x80;
ADIE_CODEC_EN6_HPH_CHD_REF_ENA_V                 = 0x80;
ADIE_CODEC_EN6_HPH_CHD_REF_DIS_V                 = 0x00;

ADIE_CODEC_EN6_EN_RX_INDATA0_TRIBUF_M           =  0x40;
ADIE_CODEC_EN6_RX_INDATA0_TRIBUF_ENA_V           = 0x40;
ADIE_CODEC_EN6_RX_INDATA0_TRIBUF_DIS_V          =  0x00;

ADIE_CODEC_EN6_EN_RX_DWA0_TRIBUF_M                =0x20;
ADIE_CODEC_EN6_RX_DWA0_TRIBUF_ENA_V               =0x20;
ADIE_CODEC_EN6_RX_DWA0_TRIBUF_DIS_V               =0x00;

ADIE_CODEC_EN6_EN_CMOS_DRIVER_M                   =0x10;
ADIE_CODEC_EN6_CMOS_DRIVER_ENA_V              =    0x10;
ADIE_CODEC_EN6_CMOS_DRIVER_DIS_V                 = 0x00;

ADIE_CODEC_EN6_EN_BIQU_TSTBUF2_M                  =0x08;
ADIE_CODEC_EN6_BIQU_TSTBUF2_ENA_V                 =0x08;
ADIE_CODEC_EN6_BIQU_TSTBUF2_DIS_V                 =0x00;

ADIE_CODEC_EN6_EN_BIQU_TSTBUF1_M                 = 0x04;
ADIE_CODEC_EN6_BIQU_TSTBUF1_ENA_V                = 0x04;
ADIE_CODEC_EN6_BIQU_TSTBUF1_DIS_V                = 0x00;

ADIE_CODEC_EN6_EN_CDC_TSTBUF2_M                 =  0x02;
ADIE_CODEC_EN6_CDC_TSTBUF2_ENA_V                 = 0x02;
ADIE_CODEC_EN6_CDC_TSTBUF2_DIS_V                 = 0x00;

ADIE_CODEC_EN6_EN_CDC_TSTBUF1_M                  = 0x01;
ADIE_CODEC_EN6_CDC_TSTBUF1_ENA_V                 = 0x01;
ADIE_CODEC_EN6_CDC_TSTBUF1_DIS_V                 = 0x00;

ADIE_CODEC_EN6_INIT_V                            = 0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_EN7 : CODEC enable register 7 (0x3B : reserved)

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_EN7_R                                  =0x3B;

ADIE_CODEC_EN7_RESERVED_V                         =0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C1 : CODEC control register 1

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C1_R                                   =0x3C;

ADIE_CODEC_C1_INIT_M                             = 0xFF;

ADIE_CODEC_C1_MICAMP1_GAIN_L_M                   = 0x80;
ADIE_CODEC_C1_MICAMP1_GAIN_L_24_DB_V             = 0x00;
ADIE_CODEC_C1_MICAMP1_GAIN_L_0_DB_V              = 0x80;

ADIE_CODEC_C1_MICAMP2_GAIN_L_M                   = 0x7C;
ADIE_CODEC_C1_MICAMP2_GAIN_L_25D5_DB_V            =0x00;
ADIE_CODEC_C1_MICAMP2_GAIN_L_24_DB_V             = 0x04;
ADIE_CODEC_C1_MICAMP2_GAIN_L_22D5_DB_V           = 0x08;
ADIE_CODEC_C1_MICAMP2_GAIN_L_21_DB_V             = 0x0C;
ADIE_CODEC_C1_MICAMP2_GAIN_L_19D5_DB_V            =0x10;
ADIE_CODEC_C1_MICAMP2_GAIN_L_18_DB_V              =0x14;
ADIE_CODEC_C1_MICAMP2_GAIN_L_16D5_DB_V           = 0x18;
ADIE_CODEC_C1_MICAMP2_GAIN_L_15_DB_V           =   0x1C;
ADIE_CODEC_C1_MICAMP2_GAIN_L_13D5_DB_V          =  0x20;
ADIE_CODEC_C1_MICAMP2_GAIN_L_12_DB_V         =     0x24;
ADIE_CODEC_C1_MICAMP2_GAIN_L_10D5_DB_V         =   0x28;
ADIE_CODEC_C1_MICAMP2_GAIN_L_9_DB_V         =      0x2C;
ADIE_CODEC_C1_MICAMP2_GAIN_L_7D5_DB_V          =   0x30;
ADIE_CODEC_C1_MICAMP2_GAIN_L_6_DB_V          =     0x34;
ADIE_CODEC_C1_MICAMP2_GAIN_L_4D5_DB_V          =   0x38;
ADIE_CODEC_C1_MICAMP2_GAIN_L_3_DB_V           =    0x3C;
ADIE_CODEC_C1_MICAMP2_GAIN_L_1D5_DB_V          =   0x40;
ADIE_CODEC_C1_MICAMP2_GAIN_L_0_DB_V           =    0x44;
ADIE_CODEC_C1_MICAMP2_GAIN_L_N1D5_DB_V       =     0x48;
ADIE_CODEC_C1_MICAMP2_GAIN_L_N3_DB_V           =   0x4C;
 ADIE_CODEC_C1_MICAMP2_GAIN_L_N4D5_DB_V         =   0x50;
ADIE_CODEC_C1_MICAMP2_GAIN_L_N6_DB_V             = 0x54;

ADIE_CODEC_C1_RESET_MICAMP_INPUT_L_M            =  0x02;
ADIE_CODEC_C1_MICAMP_INPUT_L_RESET_V          =    0x02;
ADIE_CODEC_C1_MICAMP_INPUT_L_NO_RESET_V         =  0x00;

ADIE_CODEC_C1_DIS_MICAMP_STARTUP_L_M        =      0x01;
ADIE_CODEC_C1_MICAMP_STARTUP_L_DIS_V           =   0x01;
ADIE_CODEC_C1_MICAMP_STARTUP_L_ENA_V         =     0x00;

ADIE_CODEC_C1_INIT_V                          =    0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C2 : CODEC control register 2

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C2_R                             =      0x3D;

ADIE_CODEC_C2_INIT_M                         =     0xFF;

ADIE_CODEC_C2_MICAMP1_GAIN_R_M                =    0x80;
ADIE_CODEC_C2_MICAMP1_GAIN_R_24_DB_V         =     0x00;
ADIE_CODEC_C2_MICAMP1_GAIN_R_0_DB_V          =     0x80;

ADIE_CODEC_C2_MICAMP2_GAIN_R_M               =     0x7C;
ADIE_CODEC_C2_MICAMP2_GAIN_R_25D5_DB_V       =     0x00;
ADIE_CODEC_C2_MICAMP2_GAIN_R_24_DB_V         =     0x04;
ADIE_CODEC_C2_MICAMP2_GAIN_R_22D5_DB_V       =     0x08;
ADIE_CODEC_C2_MICAMP2_GAIN_R_21_DB_V         =     0x0C;
ADIE_CODEC_C2_MICAMP2_GAIN_R_19D5_DB_V       =     0x10;
ADIE_CODEC_C2_MICAMP2_GAIN_R_18_DB_V         =     0x14;
ADIE_CODEC_C2_MICAMP2_GAIN_R_16D5_DB_V       =     0x18;
ADIE_CODEC_C2_MICAMP2_GAIN_R_15_DB_V         =     0x1C;
ADIE_CODEC_C2_MICAMP2_GAIN_R_13D5_DB_V       =     0x20;
ADIE_CODEC_C2_MICAMP2_GAIN_R_12_DB_V          =    0x24;
ADIE_CODEC_C2_MICAMP2_GAIN_R_10D5_DB_V      =      0x28;
ADIE_CODEC_C2_MICAMP2_GAIN_R_9_DB_V           =    0x2C;
ADIE_CODEC_C2_MICAMP2_GAIN_R_7D5_DB_V         =    0x30;
ADIE_CODEC_C2_MICAMP2_GAIN_R_6_DB_V           =    0x34;
ADIE_CODEC_C2_MICAMP2_GAIN_R_4D5_DB_V         =    0x38;
ADIE_CODEC_C2_MICAMP2_GAIN_R_3_DB_V        =       0x3C;
ADIE_CODEC_C2_MICAMP2_GAIN_R_1D5_DB_V       =      0x40;
ADIE_CODEC_C2_MICAMP2_GAIN_R_0_DB_V            =   0x44;
ADIE_CODEC_C2_MICAMP2_GAIN_R_N1D5_DB_V        =    0x48;
ADIE_CODEC_C2_MICAMP2_GAIN_R_N3_DB_V          =    0x4C;
ADIE_CODEC_C2_MICAMP2_GAIN_R_N4D5_DB_V        =    0x50;
ADIE_CODEC_C2_MICAMP2_GAIN_R_N6_DB_V         =     0x54;

ADIE_CODEC_C2_RESET_MICAMP_INPUT_R_M         =     0x02;
ADIE_CODEC_C2_MICAMP_INPUT_R_RESET_V          =    0x02;
ADIE_CODEC_C2_MICAMP_INPUT_R_NO_RESET_V       =    0x00;

ADIE_CODEC_C2_DIS_MICAMP_STARTUP_R_M          =    0x01;
ADIE_CODEC_C2_MICAMP_STARTUP_R_DIS_V          =    0x01;
ADIE_CODEC_C2_MICAMP_STARTUP_R_ENA_V           =   0x00;

ADIE_CODEC_C2_INIT_V                          =    0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C3 : CODEC control register 3

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C3_R                               =    0x3E;

ADIE_CODEC_C3_INIT_M                          =    0xFF;

ADIE_CODEC_C3_MICA_CH_SEL_M                   =    0x80;
ADIE_CODEC_C3_MICA_CH_L_V                     =    0x00;
ADIE_CODEC_C3_MICA_CH_R_V                     =    0x80;

ADIE_CODEC_C3_MIC2_CH_SEL_M                   =    0x40;
ADIE_CODEC_C3_MIC2_CH_L_V                     =    0x00;
ADIE_CODEC_C3_MIC2_CH_R_V                     =    0x40;

ADIE_CODEC_C3_MIC1_CH_SEL_M                  =     0x20;
ADIE_CODEC_C3_MIC1_CH_L_V                      =   0x00;
ADIE_CODEC_C3_MIC1_CH_R_V                      =   0x20;

ADIE_CODEC_C3_INPUT_SEL_L_M                   =    0x18;
ADIE_CODEC_C3_INPUT_L_MIC1_PN_V               =   0x00;
ADIE_CODEC_C3_INPUT_L_MIC2_PN_V               =    0x08;
ADIE_CODEC_C3_INPUT_L_MICA_PN_V               =    0x10;
ADIE_CODEC_C3_INPUT_L_LINEI_PN_V                =  0x18;

ADIE_CODEC_C3_AAF_BYPASS_L_M                 =     0x04;
ADIE_CODEC_C3_AAF_L_BYPASS_V                  =    0x04;
ADIE_CODEC_C3_AAF_L_NO_BYPASS_V               =    0x00;

ADIE_CODEC_C3_MICAMP2_BYPASS_L_M                 = 0x02;
ADIE_CODEC_C3_MICAMP2_L_BYPASS_V               =   0x02;
ADIE_CODEC_C3_MICAMP2_L_NO_BYPASS_V              = 0x00;

ADIE_CODEC_C3_MICAMP1_BYPASS_L_M               =   0x01;
ADIE_CODEC_C3_MICAMP1_L_BYPASS_V                =  0x01;
ADIE_CODEC_C3_MICAMP1_L_NO_BYPASS_V             =  0x00;

ADIE_CODEC_C3_INIT_V                             = 0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C4 : CODEC control register 4

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C4_R                                 =  0x3F;

ADIE_CODEC_C4_INIT_M                            =  0xFF;

ADIE_CODEC_C4_TXADC_CLK_ADV_ON_M               =   0x80;
ADIE_CODEC_C4_TXADC_CLK_ADV_ENA_V               =  0x80;
ADIE_CODEC_C4_TXADC_CLK_ADV_DIS_V                = 0x00;

ADIE_CODEC_C4_MICAMP1_I_CTL_M                   =  0x60;
ADIE_CODEC_C4_MICAMP1_I_500_UA_V                =  0x00;
ADIE_CODEC_C4_MICAMP1_I_750_UA_V                 = 0x40;
ADIE_CODEC_C4_MICAMP1_I_1_MA_V                  =  0x60;
ADIE_CODEC_C4_MICAMP12_I_750_UA_V              =   0x40;
ADIE_CODEC_C4_MICAMP12_I_1_MA_V                 =  0x60;

ADIE_CODEC_C4_INPUT_SEL_R_M                   =    0x18;
ADIE_CODEC_C4_INPUT_R_MIC1_PN_V                  = 0x00;
ADIE_CODEC_C4_INPUT_R_MIC2_PN_V                   =0x08;
ADIE_CODEC_C4_INPUT_R_MICA_PN_V                  = 0x10;
ADIE_CODEC_C4_INPUT_R_LINEI_PN_V                 = 0x18;

ADIE_CODEC_C4_AAF_BYPASS_R_M                      =0x04;
ADIE_CODEC_C4_AAF_R_BYPASS_V                     = 0x04;
ADIE_CODEC_C4_AAF_R_NO_BYPASS_V                  = 0x00;

ADIE_CODEC_C4_MICAMP2_BYPASS_R_M               =   0x02;
ADIE_CODEC_C4_MICAMP2_R_BYPASS_V                =  0x02;
ADIE_CODEC_C4_MICAMP2_R_NO_BYPASS_V              = 0x00;

ADIE_CODEC_C4_MICAMP1_BYPASS_R_M                 = 0x01;
ADIE_CODEC_C4_MICAMP1_R_BYPASS_V                 = 0x01;
ADIE_CODEC_C4_MICAMP1_R_NO_BYPASS_V              = 0x00;

ADIE_CODEC_C4_INIT_V                             = 0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C5 : CODEC control register 5

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C5_R                                =   0x40;

ADIE_CODEC_C5_INIT_M                         =     0xFF;

ADIE_CODEC_C5_DITHER_SYNC_M                    =   0x80;
ADIE_CODEC_C5_DITHER_SYNC_RISING_EDGE_V        =   0x80;
ADIE_CODEC_C5_DITHER_SYNC_FALLING_EDGE_V        =  0x00;

ADIE_CODEC_C5_TX_CLK_CTL_M                       = 0x40;
ADIE_CODEC_C5_FORM_XOR_CLK_V                    =  0x40;
ADIE_CODEC_C5_MAIN_TX_CLK_V                  =     0x00;

ADIE_CODEC_C5_DITHER_I_CTL_M                 =     0x30;
ADIE_CODEC_C5_DITHER_I_80_UA_V                =    0x30;
ADIE_CODEC_C5_DITHER_I_60_UA_V                =    0x20;
ADIE_CODEC_C5_DITHER_I_40_UA_V                =    0x00;
ADIE_CODEC_C5_DITHER_I_20_UA_V                =    0x10;

ADIE_CODEC_C5_ADD_0P33_ADC_M                  =    0x08;
ADIE_CODEC_C5_ADD_0P33_ADC_ENA_V                 = 0x08;
ADIE_CODEC_C5_ADD_0P33_ADC_DIS_V               =   0x00;

ADIE_CODEC_C5_TXADC_BIAS_SEL_M                  =  0x07;
ADIE_CODEC_C5_TXADC_BIAS_20_UA_V                =  0x00;
ADIE_CODEC_C5_TXADC_BIAS_16D66_UA_V             =  0x01;
ADIE_CODEC_C5_TXADC_BIAS_13D33_UA_V             =  0x02;
ADIE_CODEC_C5_TXADC_BIAS_10_UA_V                =  0x03;
ADIE_CODEC_C5_TXADC_BIAS_6D66_UA_V              =  0x04;
ADIE_CODEC_C5_TXADC_BIAS_3D33_UA_V              =  0x05;

ADIE_CODEC_C5_INIT_V                            =  0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C6 : CODEC control register 6

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C6_R                                  = 0x41;

ADIE_CODEC_C6_INIT_M                          =    0xFF;

ADIE_CODEC_C6_TX_DATA_SYNC_POL_M               =   0x80;
ADIE_CODEC_C6_TX_DATA_SYNC_RISING_EDGE_V        =  0x80;
ADIE_CODEC_C6_TX_DATA_SYNC_FALLING_EDGE_V      =   0x00;

ADIE_CODEC_C6_RX_DATA_SYNC_POL_M                =  0x40;
ADIE_CODEC_C6_RX_DATA_SYNC_RISING_EDGE_V       =   0x40;
ADIE_CODEC_C6_RX_DATA_SYNC_FALLING_EDGE_V       =  0x00;

ADIE_CODEC_C6_BIQU_DACREF_CTL_M                 =  0x30;
ADIE_CODEC_C6_BIQU_DACREF_VDD_V                  = 0x00;
ADIE_CODEC_C6_BIQU_DACREF_1D9_V_V              =   0x10;
ADIE_CODEC_C6_BIQU_DACREF_2D025_V_V              = 0x20;
ADIE_CODEC_C6_BIQU_DACREF_1D618_V_V             =  0x30;

ADIE_CODEC_C6_BIQU_OTA_BW_CTL_M                 =  0x0F;
ADIE_CODEC_C6_BIQU_OTA_BW_80_MHZ_V             =   0x00;
ADIE_CODEC_C6_BIQU_OTA_BW_55_MHZ_V              =  0x08;
ADIE_CODEC_C6_BIQU_OTA_BW_42_MHZ_V              =  0x0C;
ADIE_CODEC_C6_BIQU_OTA_BW_22_MHZ_V             =  0x0E;

ADIE_CODEC_C6_INIT_V = ADIE_CODEC_C6_BIQU_DACREF_1D9_V_V;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C7 : CODEC control register 7

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C7_R                                 = 0x42;

ADIE_CODEC_C7_INIT_M                            = 0xFF;

ADIE_CODEC_C7_AUX_PGA_TX_INP_SEL_L_M           =  0x80;
ADIE_CODEC_C7_TX_TO_AUX_PGA_L_V                 = 0x80;
ADIE_CODEC_C7_NO_TX_TO_AUX_PGA_L_V              = 0x00;

ADIE_CODEC_C7_AUX_PGA_TX_INP_SEL_R_M            = 0x40;
ADIE_CODEC_C7_TX_TO_AUX_PGA_R_V                =  0x40;
ADIE_CODEC_C7_NO_TX_TO_AUX_PGA_R_V             =  0x00;

ADIE_CODEC_C7_AUX_PGA_CTL_M                   =   0x3C;
ADIE_CODEC_C7_AUX_PGA_GAIN_11D5_DB_V           =  0x00;
ADIE_CODEC_C7_AUX_PGA_GAIN_8D5_DB_V           =   0x04;
ADIE_CODEC_C7_AUX_PGA_GAIN_5D5_DB_V           =   0x08;
ADIE_CODEC_C7_AUX_PGA_GAIN_2D5_DB_V            =  0x0C;
ADIE_CODEC_C7_AUX_PGA_GAIN_N0D5_DB_V          =   0x10;
ADIE_CODEC_C7_AUX_PGA_GAIN_N3D5_DB_V         =    0x14;
ADIE_CODEC_C7_AUX_PGA_GAIN_N6D5_DB_V          =   0x18;
ADIE_CODEC_C7_AUX_PGA_GAIN_N9D5_DB_V          =   0x1C;
ADIE_CODEC_C7_AUX_PGA_GAIN_N12D5_DB_V         =   0x20;
ADIE_CODEC_C7_AUX_PGA_GAIN_N15D5_DB_V          =  0x24;
ADIE_CODEC_C7_AUX_PGA_GAIN_N18D5_DB_V         =   0x28;
ADIE_CODEC_C7_AUX_PGA_GAIN_N21D5_DB_V           = 0x2C;
ADIE_CODEC_C7_AUX_PGA_GAIN_N24D5_DB_V          =  0x30;

ADIE_CODEC_C7_AUX_PGA_RESET_M                  =  0x02;
ADIE_CODEC_C7_AUX_PGA_RESET_V                 =   0x02;
ADIE_CODEC_C7_AUX_PGA_NO_RESET_V               =  0x00;

ADIE_CODEC_C7_AUX_PGA_HWSTARTUP_DIS_M          =  0x01;
ADIE_CODEC_C7_AUX_PGA_HWSTARTUP_DIS_V           = 0x01;
ADIE_CODEC_C7_AUX_PGA_HWSTARTUP_ENA_V          =  0x00;

ADIE_CODEC_C7_INIT_V                             =0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C7B : CODEC control register 7B

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C7B_R                                 = 0x43;

ADIE_CODEC_C7B_INIT_M                           =  0xFF;

ADIE_CODEC_C7B_VREF_TO_CHD_SEL_M               =   0x80;
ADIE_CODEC_C7B_VREF_TO_CHD_CONNECT_V          =    0x80;
ADIE_CODEC_C7B_VREF_TO_CHD_DISCONNECT_V         =  0x00;

ADIE_CODEC_C7B_HSSD_TO_MIC2_CONNECT_M           =  0x40;
ADIE_CODEC_C7B_HSSD_TO_MIC2_CONNECT_V         =    0x40;
ADIE_CODEC_C7B_HSSD_TO_MIC2_DISCONNECT_V       =   0x00;

ADIE_CODEC_C7B_AUX_PGA_VOCM_SEL_M             =    0x20;
ADIE_CODEC_C7B_AUX_PGA_VOCM_TX_V               =   0x00;
ADIE_CODEC_C7B_AUX_PGA_VOCM_LOCAL_V            =   0x20;

ADIE_CODEC_C7B_AUX_PGA_VICM_SEL_M               =  0x10;
ADIE_CODEC_C7B_AUX_PGA_VICM_ONCHIP_V            =  0x10;
ADIE_CODEC_C7B_AUX_PGA_VICM_NOT_ONCHIP_V       =   0x00;

ADIE_CODEC_C7B_AUX_PGA_RXP_L_M                   = 0x08;
ADIE_CODEC_C7B_AUX_PGA_RXP_L_SEL_V              =  0x08;
ADIE_CODEC_C7B_AUX_PGA_RXP_L_UNSEL_V             = 0x00;

ADIE_CODEC_C7B_AUX_PGA_RXM_L_M                =    0x04;
ADIE_CODEC_C7B_AUX_PGA_RXM_L_SEL_V            =    0x04;
ADIE_CODEC_C7B_AUX_PGA_RXM_L_UNSEL_V            =  0x00;
ADIE_CODEC_C7B_AUX_PGA_RXP_R_M                   = 0x02;
ADIE_CODEC_C7B_AUX_PGA_RXP_R_SEL_V               = 0x02;
ADIE_CODEC_C7B_AUX_PGA_RXP_R_UNSEL_V             = 0x00;

ADIE_CODEC_C7B_AUX_PGA_RXM_R_M                   = 0x01;
ADIE_CODEC_C7B_AUX_PGA_RXM_R_SEL_V               = 0x01;
ADIE_CODEC_C7B_AUX_PGA_RXM_R_UNSEL_V            =  0x00;

ADIE_CODEC_C7B_INIT_V                            = 0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C8 : CODEC control register 8

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C8_R                                  = 0x44;

ADIE_CODEC_C8_INIT_M                             = 0xFF;

ADIE_CODEC_C8_PA_POWER_UP_CTL_M                  = 0x80;
ADIE_CODEC_C8_PA_POWER_UP_AUTO_V                  =0x00;
ADIE_CODEC_C8_PA_POWER_UP_MANUAL_V               = 0x80;

ADIE_CODEC_C8_BYPASS_CDC_TBUF_M                 =  0x40;
ADIE_CODEC_C8_CDC_TBUF_BYPASS_V                 =  0x40;
ADIE_CODEC_C8_CDC_TBUF_NO_BYPASS_V              =  0x00;

ADIE_CODEC_C8_PROG_I_ADD2_M                     =  0x20;
ADIE_CODEC_C8_PROG_I_ADD2_ENA_V                 =  0x20;
ADIE_CODEC_C8_PROG_I_ADD2_DIS_V                 =  0x00;

ADIE_CODEC_C8_PROG_I_ADD_M                      =  0x10;
ADIE_CODEC_C8_PROG_I_ADD_ENA_V                  =  0x10;
ADIE_CODEC_C8_PROG_I_ADD_DIS_V                  =  0x00;

ADIE_CODEC_C8_HSSD_MIC2_CAP_VAL_M               =  0x08;
ADIE_CODEC_C8_HSSD_MIC2_CAP_0D1_UF_V            =  0x00;
ADIE_CODEC_C8_HSSD_MIC2_CAP_1_UF_V              =  0x08;

ADIE_CODEC_C8_SEL_HPH_DIFF_M                   =   0x04;
ADIE_CODEC_C8_HPH_DIFF_SEL_V                    =  0x04;
ADIE_CODEC_C8_HPH_DIFF_UNSEL_V                  =  0x00;

ADIE_CODEC_C8_CODEC_LOOPBACK_R_M                =  0x02;
ADIE_CODEC_C8_CODEC_LOOPBACK_R_ENA_V             = 0x02;
ADIE_CODEC_C8_CODEC_LOOPBACK_R_DIS_V             = 0x00;

ADIE_CODEC_C8_CODEC_LOOPBACK_L_M                 = 0x01;
ADIE_CODEC_C8_CODEC_LOOPBACK_L_ENA_V             = 0x01;
ADIE_CODEC_C8_CODEC_LOOPBACK_L_DIS_V            =  0x00;

ADIE_CODEC_C8_INIT_V                             = 0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C9 : CODEC control register 9

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C9_R                                 = 0x45;

ADIE_CODEC_C9_INIT_M                            =  0xDF;

ADIE_CODEC_C9_PA_INPUT_SEL_L_M                   = 0x80;
ADIE_CODEC_C9_PA_INPUT_L_TO_R_SEL_V              = 0x80;
ADIE_CODEC_C9_PA_INPUT_L_TO_R_UNSEL_V            = 0x00;

ADIE_CODEC_C9_SEL_BIQU_L_OUTPUT_M                =0x40;
ADIE_CODEC_C9_BIQU_L_OUTPUT_SEL_V                 =0x40;
ADIE_CODEC_C9_BIQU_L_OUTPUT_UNSEL_V              = 0x00;


ADIE_CODEC_C9_SEL_LINE_OUT_DIFF_M                = 0x10;
ADIE_CODEC_C9_LINE_OUT_DIFF_SEL_V                = 0x10;
ADIE_CODEC_C9_LINE_OUT_DIFF_UNSEL_V              = 0x00;

ADIE_CODEC_C9_PA_INPUT_SEL_R_M                   = 0x08;
ADIE_CODEC_C9_PA_INPUT_R_TO_L_SEL_V              = 0x08;
ADIE_CODEC_C9_PA_INPUT_R_TO_L_UNSEL_V           =  0x00;
ADIE_CODEC_C9_PA_INPUT_SEL_R_TO_L_SEL_V           =0x08;
ADIE_CODEC_C9_PA_INPUT_SEL_R_TO_L_UNSEL_V         =0x00;

ADIE_CODEC_C9_SHORT_PWAMP_INPUT_M                = 0x04;
ADIE_CODEC_C9_SHORT_PWAMP_INPUT_ENA_V            = 0x04;
ADIE_CODEC_C9_SHORT_PWAMP_INPUT_DIS_V            = 0x00;

ADIE_CODEC_C9_CDC_BIQU_TBUF2_BYPASS_M            = 0x02;
ADIE_CODEC_C9_CDC_BIQU_TBUF2_BYPASS_V            = 0x02;
ADIE_CODEC_C9_CDC_BIQU_TBUF2_NO_BYPASS_V          =0x00;

ADIE_CODEC_C9_CDC_BIQU_TBUF1_BYPASS_M            = 0x01;
ADIE_CODEC_C9_CDC_BIQU_TBUF1_BYPASS_V             =0x01;
ADIE_CODEC_C9_CDC_BIQU_TBUF1_NO_BYPASS_V          =0x00;

ADIE_CODEC_C9_INIT_V                              =0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C10 : CODEC control register 10

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C10_R                                  =0x46;

ADIE_CODEC_C10_INIT_M                             =0xFF;

ADIE_CODEC_C10_SEL_TEMP_SENSOR_M                 = 0x80;
ADIE_CODEC_C10_TEMP_SENSOR_SEL_V                 =0x80;
ADIE_CODEC_C10_TEMP_SENSOR_UNSEL_V               = 0x00;

ADIE_CODEC_C10_EN_BIQU_OTA1_OUT_M                 =0x40;
ADIE_CODEC_C10_BIQU_OTA1_OUT_ENA_V                =0x40;
ADIE_CODEC_C10_BIQU_OTA1_OUT_DIS_V                =0x00;

ADIE_CODEC_C10_AUX_SE_ADD_LINEI_L_M               =0x20;
ADIE_CODEC_C10_AUX_SE_ADD_LINEI_L_ENA_V           =0x20;
ADIE_CODEC_C10_AUX_SE_ADD_LINEI_L_DIS_V           =0x00;

ADIE_CODEC_C10_EAR1_ADD_LINEI_L_M                 =0x10;
ADIE_CODEC_C10_EAR1_ADD_LINEI_L_ENA_V             =0x10;
ADIE_CODEC_C10_EAR1_ADD_LINEI_L_DIS_V             =0x00;

ADIE_CODEC_C10_HPH_L_ADD_LINEI_L_M                =0x08;
ADIE_CODEC_C10_HPH_L_ADD_LINEI_L_ENA_V            =0x08;
ADIE_CODEC_C10_HPH_L_ADD_LINEI_L_DIS_V            =0x00;

ADIE_CODEC_C10_HPH_R_ADD_LINEI_R_M                =0x04;
ADIE_CODEC_C10_HPH_R_ADD_LINEI_R_ENA_V            =0x04;
ADIE_CODEC_C10_HPH_R_ADD_LINEI_R_DIS_V            =0x00;

ADIE_CODEC_C10_LINEO_L_ADD_LINEI_L_M             = 0x02;
ADIE_CODEC_C10_LINEO_L_ADD_LINEI_L_ENA_V         = 0x02;
ADIE_CODEC_C10_LINEO_L_ADD_LINEI_L_DIS_V          =0x00;

ADIE_CODEC_C10_LINEO_R_ADD_LINEI_R_M              =0x01;
ADIE_CODEC_C10_LINEO_R_ADD_LINEI_R_ENA_V         = 0x01;
ADIE_CODEC_C10_LINEO_R_ADD_LINEI_R_DIS_V         = 0x00;

ADIE_CODEC_C10_INIT_V                             =0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C11 : CODEC control register 11

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C11_R                                  =0x47;

ADIE_CODEC_C11_INIT_M                             =0xFF;

ADIE_CODEC_C11_TXADC_INP_L_SHORT_M               = 0x80;
ADIE_CODEC_C11_TXADC_INP_L_SHORT_ENA_V            =0x80;
ADIE_CODEC_C11_TXADC_INP_L_SHORT_DIS_V            =0x00;

ADIE_CODEC_C11_TXADC_INP_R_SHORT_M                =0x40;
ADIE_CODEC_C11_TXADC_INP_R_SHORT_ENA_V            =0x40;
ADIE_CODEC_C11_TXADC_INP_R_SHORT_DIS_V            =0x00;

ADIE_CODEC_C11_EN_TXADC_OTA2_OUT_M                =0x20;
ADIE_CODEC_C11_TXADC_OTA2_OUT_ENA_V               =0x20;
ADIE_CODEC_C11_TXADC_OTA2_OUT_DIS_V               =0x00;

ADIE_CODEC_C11_EN_TXADC_OTA1_OUT_M                =0x10;
ADIE_CODEC_C11_TXADC_OTA1_OUT_ENA_V               =0x10;
ADIE_CODEC_C11_TXADC_OTA1_OUT_DIS_V               =0x00;

ADIE_CODEC_C11_TXADC_DAC_REF_SEL_M               = 0x08;
ADIE_CODEC_C11_TXADC_DAC_REF_1D8_V_V              =0x00;
ADIE_CODEC_C11_TXADC_DAC_REF_1D9_V_V              =0x08;

ADIE_CODEC_C11_CHD2VDD_M                          =0x04;
ADIE_CODEC_C11_CHD2VDD_V                          =0x04;
ADIE_CODEC_C11_CHD2VSS_V                          =0x00;

ADIE_CODEC_C11_CHD2RAIL_M                         =0x02;
ADIE_CODEC_C11_CHD2RAIL_V                         =0x02;
ADIE_CODEC_C11_CHD_PD_TRISTATE_V                  =0x00;

ADIE_CODEC_C11_CHD_LOOPBACK_M                     =0x01;
ADIE_CODEC_C11_CHD_LOOPBACK_ENA_V                 =0x01;
ADIE_CODEC_C11_CHD_LOOPBACK_DIS_V                 =0x00;

ADIE_CODEC_C11_INIT_V                             =0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C12 : CODEC control register 12

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C12_R                                  =0x48;

ADIE_CODEC_C12_INIT_M                             =0xFF;

ADIE_CODEC_C12_SEL_HSSD_M                         =0x80;
ADIE_CODEC_C12_HSSD_SEL_V                         =0x80;
ADIE_CODEC_C12_HSSD_UNSEL_V                      = 0x00;

ADIE_CODEC_C12_HSSD_TO_HKADC_M                   = 0x40;
ADIE_CODEC_C12_HSSD_TO_HKADC_ENA_V                =0x40;
ADIE_CODEC_C12_HSSD_TO_HKADC_DIS_V                =0x00;

ADIE_CODEC_C12_MICAMP2_I_CTL_M                    =0x30;
ADIE_CODEC_C12_MICAMP2_I_500_UA_V                 =0x00;
ADIE_CODEC_C12_MICAMP2_I_750_UA_V                 =0x20;
ADIE_CODEC_C12_MICAMP2_I_1_MA_V                   =0x30;

ADIE_CODEC_C12_AAF_I_CTL_M                        =0x0F;
ADIE_CODEC_C12_OTA1_190_UA_OTA2_230_UA_V          =0x00;
ADIE_CODEC_C12_OTA1_380_UA_OTA2_230_UA_V          =0x01;
ADIE_CODEC_C12_OTA1_190_UA_OTA2_460_UA_V          =0x02;
ADIE_CODEC_C12_OTA1_380_UA_OTA2_460_UA_V          =0x04;
ADIE_CODEC_C12_OTA1_570_UA_OTA2_460_UA_V          =0x05;
ADIE_CODEC_C12_OTA1_380_UA_OTA2_690_UA_V          =0x06;
ADIE_CODEC_C12_OTA1_760_UA_OTA2_690_UA_V          =0x0D;
ADIE_CODEC_C12_OTA1_570_UA_OTA2_920_UA_V          =0x0E;
ADIE_CODEC_C12_OTA1_760_UA_OTA2_920_UA_V          =0x0F;

ADIE_CODEC_C12_INIT_V                             =0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C13 : CODEC control register 13

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C13_R                                  =0x49;

ADIE_CODEC_C13_INIT_M                             =0x3F;


ADIE_CODEC_C13_HSSD_CAPLESS_MODE_M                =0x20;
ADIE_CODEC_C13_HSSD_CAPLESS_MODE_ENA_V            =0x20;
ADIE_CODEC_C13_HSSD_CAPLESS_MODE_DIS_V            =0x00;

ADIE_CODEC_C13_SEL_AUXDIFF_TO_TXAUX_M             =0x10;
ADIE_CODEC_C13_AUXDIFF_TO_TXAUX_SEL_V             =0x10;
ADIE_CODEC_C13_AUXDIFF_TO_TXAUX_UNSEL_V           =0x00;

ADIE_CODEC_C13_SEL_EAR1_TO_TXAUX_M                =0x08;
ADIE_CODEC_C13_EAR1_TO_TXAUX_SEL_V                =0x08;
ADIE_CODEC_C13_EAR1_TO_TXAUX_UNSEL_V              =0x00;

ADIE_CODEC_C13_SEL_HPH_TO_TXAUX_M                 =0x04;
ADIE_CODEC_C13_HPH_TO_TXAUX_SEL_V                 =0x04;
ADIE_CODEC_C13_HPH_TO_TXAUX_UNSEL_V               =0x00;

ADIE_CODEC_C13_SEL_LOOPBACK_EXT_M                 =0x02;
ADIE_CODEC_C13_LOOPBACK_EXT_ENA_V                 =0x02;
ADIE_CODEC_C13_LOOPBACK_EXT_DIS_V                 =0x00;

ADIE_CODEC_C13_SEL_LOOPBACK_INT_M                 =0x01;
ADIE_CODEC_C13_LOOPBACK_INT_ENA_V                 =0x01;
ADIE_CODEC_C13_LOOPBACK_INT_DIS_V                 =0x00;

ADIE_CODEC_C13_INIT_V                            = 0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C14 : CODEC control register 14

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C14_R                                  =0x4A;

ADIE_CODEC_C14_INIT_M                             =0x3F;

ADIE_CODEC_C14_BIQU_L_TO_AUXSE                    =0x20;
ADIE_CODEC_C14_BIQU_R_TO_LINE_R                   =0x10;
ADIE_CODEC_C14_BIQU_L_TO_LINE_L                   =0x08;
ADIE_CODEC_C14_BIQU_R_TO_HPH_R                    =0x04;
ADIE_CODEC_C14_BIQU_L_TO_HPH_L                    =0x02;
ADIE_CODEC_C14_BIQU_L_TO_EAR1                     =0x01;

ADIE_CODEC_C14_SEL_BIQU_L_TO_AUXSE_M              =0x20;
ADIE_CODEC_C14_BIQU_L_TO_AUXSE_SEL_V              =0x20;
ADIE_CODEC_C14_BIQU_L_TO_AUXSE_UNSEL_V            =0x00;

ADIE_CODEC_C14_SEL_BIQU_R_TO_LINEO_R_M            =0x10;
ADIE_CODEC_C14_BIQU_R_TO_LINEO_R_SEL_V            =0x10;
ADIE_CODEC_C14_BIQU_R_TO_LINEO_R_UNSEL_V          =0x00;

ADIE_CODEC_C14_SEL_BIQU_L_TO_LINEO_L_M            =0x08;
ADIE_CODEC_C14_BIQU_L_TO_LINEO_L_SEL_V           = 0x08;
ADIE_CODEC_C14_BIQU_L_TO_LINEO_L_UNSEL_V         = 0x00;

ADIE_CODEC_C14_SEL_BIQU_R_TO_HPH_R_M              =0x04;
ADIE_CODEC_C14_BIQU_R_TO_HPH_R_SEL_V              =0x04;
ADIE_CODEC_C14_BIQU_R_TO_HPH_R_UNSEL_V            =0x00;

ADIE_CODEC_C14_SEL_BIQU_L_TO_HPH_L_M              =0x02;
ADIE_CODEC_C14_BIQU_L_TO_HPH_L_SEL_V              =0x02;
ADIE_CODEC_C14_BIQU_L_TO_HPH_L_UNSEL_V            =0x00;

ADIE_CODEC_C14_SEL_BIQU_L_TO_EAR1_M               =0x01;
ADIE_CODEC_C14_BIQU_L_TO_EAR1_SEL_V               =0x01;
ADIE_CODEC_C14_BIQU_L_TO_EAR1_UNSEL_V             =0x00;

ADIE_CODEC_C14_INIT_V                             =0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_C15 : CODEC control register 15 (0x4B : reserved)

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_C15_R                                  =0x4B;

ADIE_CODEC_C15_RESERVED_V                         =0x00;


--/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=

--CODEC_TST : CODEC test MUX register 1

--*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
ADIE_CODEC_TST_R                                 = 0x4C;

ADIE_CODEC_TST_INIT_M                            = 0xFF;

ADIE_CODEC_TST_SEL_ATEST1_M                      = 0xF0;
ADIE_CODEC_TST_ATEST1_NONE_V                     = 0x00;
ADIE_CODEC_TST_ATEST1_RX_BIQU_DAC_HI_L_V         = 0x10;
ADIE_CODEC_TST_ATEST1_RX_BIQU_VOCM_OTA1_L_V      = 0x20;
ADIE_CODEC_TST_ATEST1_RX_CHD_V1P25U_V            = 0x30;
ADIE_CODEC_TST_ATEST1_CDC_BANDGAP_V              = 0x40;
ADIE_CODEC_TST_ATEST1_TXADC_VREF_1D8_V_V         = 0x50;
ADIE_CODEC_TST_ATEST1_TXADC_VSIGCM_1D25_V_V      = 0x60;
ADIE_CODEC_TST_ATEST1_TXADC_VICM_0D9_V_V         = 0x70;
ADIE_CODEC_TST_ATEST1_TXADC_V_CASCODE_0D4_V_V    = 0x80;
ADIE_CODEC_TST_ATEST1_TXADC_I_P6PTAT_60_UA_V    = 0x90;
ADIE_CODEC_TST_ATEST1_RX_BIQU_VOCM_OTA2_L_V      = 0xA0;
ADIE_CODEC_TST_ATEST1_TEST_HPH_L_VICM_1D2_V_V   =  0xB0;
ADIE_CODEC_TST_ATEST1_TEST_IBG_BIQU_L_100_UA_V   = 0xC0;
ADIE_CODEC_TST_ATEST1_TEST_IPTAT_BIQU_L_100_UA_V = 0xD0;
ADIE_CODEC_TST_ATEST1_TST_RXDATA_L_V            =  0xE0;
ADIE_CODEC_TST_ATEST1_TXFE_OUTPUT_L_V           =  0xF0;

ADIE_CODEC_TST_SEL_ATEST2_M                     =  0x0F;
ADIE_CODEC_TST_ATEST2_NONE_V                    =  0x00;
ADIE_CODEC_TST_ATEST2_RX_PA_V1P25U_1D25_V_V     =  0x01;
ADIE_CODEC_TST_ATEST2_TEST_HPH_R_VICM_1D2_V_V   =  0x02;
ADIE_CODEC_TST_ATEST2_TXFE_VCM_R_1D25_V_V     =    0x03;
ADIE_CODEC_TST_ATEST2_BIQU_FILTER_DIGCM_L_V  =     0x04;
ADIE_CODEC_TST_ATEST2_BIQU_FILTER_DIGCM_R_V  =     0x05;
ADIE_CODEC_TST_ATEST2_TXADC_TESTOUT_P_OTA_V  =     0x06;
ADIE_CODEC_TST_ATEST2_TXADC_TESTOUT_N_OTA_V  =     0x07;
ADIE_CODEC_TST_ATEST2_NONE2_V                =     0x08;
ADIE_CODEC_TST_ATEST2_TST_RXDATA_R_V         =     0x09;
ADIE_CODEC_TST_ATEST2_TXADC_BITGEN_OUT_V     =     0x0A;
ADIE_CODEC_TST_ATEST2_SEL_CDC_TBUF2_IN_V     =     0x0B;
ADIE_CODEC_TST_ATEST2_SEL_CDC_TBUF1_IN_V     =     0x0C;
ADIE_CODEC_TST_ATEST2_MUX_BIQU_ON_V          =     0x0D;
ADIE_CODEC_TST_ATEST2_MUX_BIQU_OP_V          =     0x0E;
ADIE_CODEC_TST_ATEST2_TXFE_OUTPUT_R_V   =          0x0F;

ADIE_CODEC_TST_INIT_V     =                        0x00;

MSMAUD_ADIE_CODEC_EN1_INIT_CORE       =
         	ADIE_CODEC_EN1_INIT_V               +
          ADIE_CODEC_EN1_RXCK_RXCKDLY_L_ENA_V +
          ADIE_CODEC_EN1_BIQU_L_ENA_V         +
          ADIE_CODEC_EN1_CODEC_ENA_V ;

--/* enable EAR1 power amp. only */
MSMAUD_ADIE_CODEC_EN1_ENABLE_EAR1     =
         MSMAUD_ADIE_CODEC_EN1_INIT_CORE     +
          ADIE_CODEC_EN1_EAR1_ENA_V ;

--/* enable left headphone power amp. only */
MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L    =
         MSMAUD_ADIE_CODEC_EN1_INIT_CORE    +
          ADIE_CODEC_EN1_HPH_L_ENA_V ;

--/* enable Rx AUX single-ended power amp. only */
MSMAUD_ADIE_CODEC_EN1_ENABLE_AUX_SE   =
         MSMAUD_ADIE_CODEC_EN1_INIT_CORE     +
          ADIE_CODEC_EN1_AUX_SE_ENA_V ;

--/* enable left channel line-out power amp. only */
MSMAUD_ADIE_CODEC_EN1_ENABLE_LINE_OUT_L   =
         MSMAUD_ADIE_CODEC_EN1_INIT_CORE      +
          ADIE_CODEC_EN1_LINE_OUT_L_ENA_V ;
--//add wanyh for hph and line_out
MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L_AND_LINE_L =
	      	MSMAUD_ADIE_CODEC_EN1_INIT_CORE   +
          ADIE_CODEC_EN1_LINE_OUT_L_ENA_V +
          ADIE_CODEC_EN1_HPH_L_ENA_V; 


--/* ================== CODEC_EN2 ================== */
--/* disable right channel core, keep PA ref for left core */
MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN   =
          ADIE_CODEC_EN2_INIT_V                   +
          ADIE_CODEC_EN2_PA_REF_ENA_V ;

--/* enable right channel CODEC clock, power down all amps. */
MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN   =
          ADIE_CODEC_EN2_INIT_V                 +
          ADIE_CODEC_EN2_RXCK_RXCKDLY_R_ENA_V   +
          ADIE_CODEC_EN2_BIQU_R_ENA_V           +
          ADIE_CODEC_EN2_PA_REF_ENA_V ;

--/* enable right headphone power amp. only */
MSMAUD_ADIE_CODEC_EN2_ENABLE_HPH_R      =
          MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN +
          ADIE_CODEC_EN2_HPH_R_ENA_V ;

--/* enable Rx capless headphone driver only */
MSMAUD_ADIE_CODEC_EN2_ENABLE_CHD        =
          MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN +
          ADIE_CODEC_EN2_CHD_ENA_V ;

--/* enable right channel line-out power amp. only */
MSMAUD_ADIE_CODEC_EN2_ENABLE_LINE_OUT_R   =
          MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN   +
          ADIE_CODEC_EN2_LINE_OUT_R_ENA_V;

--//add wanyh for hph and line_out
MSMAUD_ADIE_CODEC_EN2_ENABLE_HPH_R_AND_LINE_R =
	        MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN   +
          ADIE_CODEC_EN2_LINE_OUT_R_ENA_V +
          ADIE_CODEC_EN2_HPH_R_ENA_V;
          
--/* ================== CODEC_EN3 ================== */
--/* disable Tx left channel, power off all mic amps. */
MSMAUD_ADIE_CODEC_EN3_DISABLE_TX_LEFT   =
         		ADIE_CODEC_EN3_INIT_V ;

--/* enable Tx left channel, power off micamps. */
MSMAUD_ADIE_CODEC_EN3_INIT_TX_LEFT   =
          ADIE_CODEC_EN3_INIT_V              +
          ADIE_CODEC_EN3_MICBIAS_ENA_V       +
          ADIE_CODEC_EN3_TXCK_L_ENA_V        +
          ADIE_CODEC_EN3_DITHER_L_ENA_V      +
          ADIE_CODEC_EN3_TXADC_L_ENA_V       +
          ADIE_CODEC_EN3_AAF_L_ENA_V         +
          ADIE_CODEC_EN3_REF_TXFE_L_ENA_V ;

--/* enable Tx left channel, power on micamp1 only. */
MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP1_L   =
          MSMAUD_ADIE_CODEC_EN3_INIT_TX_LEFT     +
          ADIE_CODEC_EN3_MICAMP1_L_ENA_V ;

--/* enable Tx left channel, power on micamp2 only. */
MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP2_L   =
          MSMAUD_ADIE_CODEC_EN3_INIT_TX_LEFT     +
          ADIE_CODEC_EN3_MICAMP2_L_ENA_V ;

--/* enable Tx left channel, power on both micamps. */
MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L  =
          MSMAUD_ADIE_CODEC_EN3_INIT_TX_LEFT     +
          ADIE_CODEC_EN3_MICAMP1_L_ENA_V         +
          ADIE_CODEC_EN3_MICAMP2_L_ENA_V ;
          
--/* ================== CODEC_EN4 ================== */
--/* disable Tx right channel, power off all mic amps. */
MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT   =
          ADIE_CODEC_EN4_INIT_V ;

--/* enable Tx right channel, power off micamps. */
MSMAUD_ADIE_CODEC_EN4_INIT_TX_RIGHT   =
          ADIE_CODEC_EN4_INIT_V               +
          ADIE_CODEC_EN4_TXCK_R_ENA_V         +
          ADIE_CODEC_EN4_DITHER_R_ENA_V       +
          ADIE_CODEC_EN4_TXADC_R_ENA_V        +
          ADIE_CODEC_EN4_AAF_R_ENA_V          +
          ADIE_CODEC_EN4_REF_TXFE_R_ENA_V ;

--/* enable Tx right channel, power on micamp1 only. */
MSMAUD_ADIE_CODEC_EN4_ENABLE_MICAMP1_R   =
          MSMAUD_ADIE_CODEC_EN4_INIT_TX_RIGHT    +
          ADIE_CODEC_EN4_MICAMP1_R_ENA_V  ;

--/* enable Tx right channel, power on micamp2 only. */
MSMAUD_ADIE_CODEC_EN4_ENABLE_MICAMP2_R   =
          MSMAUD_ADIE_CODEC_EN4_INIT_TX_RIGHT    +
          ADIE_CODEC_EN4_MICAMP2_R_ENA_V ;

--/* enable Tx right channel, power on both micamps. */
MSMAUD_ADIE_CODEC_EN4_ENABLE_MICAMP12_R  =
          MSMAUD_ADIE_CODEC_EN4_INIT_TX_RIGHT    +
          ADIE_CODEC_EN4_MICAMP1_R_ENA_V         +
          ADIE_CODEC_EN4_MICAMP2_R_ENA_V ;
--/* ================== CODEC_EN5 ================== */
--/* enable CODEC bandgap core, disable L/R AUX PGAs. */
MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA   =
          ADIE_CODEC_EN5_INIT_V                         +
          ADIE_CODEC_EN5_REF_BG_ENA_V                   +
          ADIE_CODEC_EN5_BANDGAP_ENA_V ;

--/* enable CODEC bandgap core, enable left AUX PGA only. */
MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_AUXPGA_L   =
         MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA +
          ADIE_CODEC_EN5_AUX_PGA_L_ENA_V ;

--/* enable CODEC bandgap core, enable right AUX PGA only. */
MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_AUXPGA_R   =
          MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA +
          ADIE_CODEC_EN5_AUX_PGA_R_ENA_V ;

--/* enable CODEC bandgap core, enable both L/R AUX PGAs. */
MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_AUXPGA_LR  =
          MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA +
          ADIE_CODEC_EN5_AUX_PGA_L_ENA_V                +
          ADIE_CODEC_EN5_AUX_PGA_R_ENA_V ;

--/* ================== CODEC_EN6 ================== */
--/* enable reference buffer for HPH PA and CHD during wakeup. */
MSMAUD_ADIE_CODEC_EN6_ENABLE_HPH_CHD_REF   =
          ADIE_CODEC_EN6_INIT_V                    +
          ADIE_CODEC_EN6_HPH_CHD_REF_ENA_V ;

--/* ================== CODEC_C1 ================== */
--/* no gains at all for both left micamps. */
MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L       =
          ADIE_CODEC_C1_INIT_V                +
          ADIE_CODEC_C1_MICAMP1_GAIN_L_0_DB_V  +
          ADIE_CODEC_C1_MICAMP2_GAIN_L_0_DB_V ;

--/* 24dB default gain for micamp1_L, no gain for micamp2_L */
MSMAUD_ADIE_CODEC_C1_24_DB_0_DB_L      =
          ADIE_CODEC_C1_INIT_V                 +
          ADIE_CODEC_C1_MICAMP2_GAIN_L_0_DB_V ;

--/* 24dB default gain for micamp1_L, 6dB gain for micamp2_L */
MSMAUD_ADIE_CODEC_C1_24_DB_6_DB_L      =
          ADIE_CODEC_C1_INIT_V                 +
          ADIE_CODEC_C1_MICAMP2_GAIN_L_6_DB_V ;

--/* 24dB default gain for micamp1_L, 10.5dB gain for micamp2_L */
MSMAUD_ADIE_CODEC_C1_24_DB_10D5_DB_L   =
          ADIE_CODEC_C1_INIT_V                 +
          ADIE_CODEC_C1_MICAMP2_GAIN_L_10D5_DB_V ;

--/* no gain for micamp1_L, 25.5dB default gain for micamp2_L */
MSMAUD_ADIE_CODEC_C1_0_DB_25D5_DB_L    =
          ADIE_CODEC_C1_INIT_V                 +
         ADIE_CODEC_C1_MICAMP1_GAIN_L_0_DB_V ;
--/* ================== CODEC_C2 ================== */
--/* no gains at all for both right micamps. */
MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R       =
          ADIE_CODEC_C2_INIT_V                 +
          ADIE_CODEC_C2_MICAMP1_GAIN_R_0_DB_V  +
          ADIE_CODEC_C2_MICAMP2_GAIN_R_0_DB_V ;

--/* 24dB default gain for micamp1_R, no gain for micamp2_R */
MSMAUD_ADIE_CODEC_C2_24_DB_0_DB_R      =
          ADIE_CODEC_C2_INIT_V                 +
          ADIE_CODEC_C2_MICAMP2_GAIN_R_0_DB_V ;

--/* no gain for micamp1_R, 25.5dB default gain for micamp2_R */
MSMAUD_ADIE_CODEC_C2_0_DB_25D5_DB_R    =
          ADIE_CODEC_C2_INIT_V                 +
          ADIE_CODEC_C2_MICAMP1_GAIN_R_0_DB_V ;
--/* ================== CODEC_C3 ================== */
--/* left channel selected for all mics */
MSMAUD_ADIE_CODEC_C3_MIC12A_LLL   =
          ADIE_CODEC_C3_INIT_V            +
          ADIE_CODEC_C3_MIC1_CH_L_V       +
          ADIE_CODEC_C3_MIC2_CH_L_V       +
          ADIE_CODEC_C3_MICA_CH_L_V ;
MSMAUD_ADIE_CODEC_C3_MIC12A_RRR   =
          ADIE_CODEC_C3_INIT_V            +
          ADIE_CODEC_C3_MIC1_CH_R_V       +
          ADIE_CODEC_C3_MIC2_CH_R_V       +
          ADIE_CODEC_C3_MICA_CH_R_V ;

MSMAUD_ADIE_CODEC_C3_MIC12A_LRL   =
          ADIE_CODEC_C3_INIT_V            +
          ADIE_CODEC_C3_MIC1_CH_L_V       +
          ADIE_CODEC_C3_MIC2_CH_R_V       +
          ADIE_CODEC_C3_MICA_CH_L_V ;
--/* MIC1pn to left channel selection, no bypass config. */
MSMAUD_ADIE_CODEC_C3_MIC1_L_NO_BYPASS   =
          ADIE_CODEC_C3_INPUT_L_MIC1_PN_V ;

--/* MIC1pn to left channel selection, bypass micamp2. */
MSMAUD_ADIE_CODEC_C3_MIC1_L_BYPASS_MICAMP2   =
          MSMAUD_ADIE_CODEC_C3_MIC1_L_NO_BYPASS      +
          ADIE_CODEC_C3_MICAMP2_L_BYPASS_V ;

--/* MIC1pn to left channel selection, bypass micamp1. */
MSMAUD_ADIE_CODEC_C3_MIC1_L_BYPASS_MICAMP1   =
          MSMAUD_ADIE_CODEC_C3_MIC1_L_NO_BYPASS      +
          ADIE_CODEC_C3_MICAMP1_L_BYPASS_V ;

--/* MIC2pn to left channel selection, no bypass config. */
MSMAUD_ADIE_CODEC_C3_MIC2_L_NO_BYPASS   =
          ADIE_CODEC_C3_INPUT_L_MIC2_PN_V ;

--/* MICApn to left channel selection, no bypass config. */
MSMAUD_ADIE_CODEC_C3_MICA_L_NO_BYPASS   =
         ADIE_CODEC_C3_INPUT_L_MICA_PN_V ;

--/* Left Line-in PN to left channel selection, no bypass config. */
MSMAUD_ADIE_CODEC_C3_LINEI_L_NO_BYPASS   =
          ADIE_CODEC_C3_INPUT_L_LINEI_PN_V ;
--/* ================== CODEC_C4 ================== */
--/* clock phase : ON, micamp1 current : 500uA */
MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA =
          ADIE_CODEC_C4_INIT_V                      +
          ADIE_CODEC_C4_TXADC_CLK_ADV_ENA_V         +
          ADIE_CODEC_C4_MICAMP1_I_500_UA_V ;

--/* clock phase : ON, micamp1 current : 1mA */
MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA =
          ADIE_CODEC_C4_INIT_V                    +
          ADIE_CODEC_C4_TXADC_CLK_ADV_ENA_V       +
          ADIE_CODEC_C4_MICAMP1_I_1_MA_V ;
--/* MIC1pn to right channel selection, no bypass config. */
MSMAUD_ADIE_CODEC_C4_MIC1_R_NO_BYPASS   =
          ADIE_CODEC_C4_INPUT_R_MIC1_PN_V ;

--/* MIC2pn to right channel selection, no bypass config. */
MSMAUD_ADIE_CODEC_C4_MIC2_R_NO_BYPASS   =
          ADIE_CODEC_C4_INPUT_R_MIC2_PN_V ;

--/* MICApn to right channel selection, no bypass config. */
MSMAUD_ADIE_CODEC_C4_MICA_R_NO_BYPASS   =
          ADIE_CODEC_C4_INPUT_R_MICA_PN_V ;

--/* Right Line-in PN to right channel selection, no bypass config. */
MSMAUD_ADIE_CODEC_C4_LINEI_R_NO_BYPASS   =
          ADIE_CODEC_C4_INPUT_R_LINEI_PN_V ;
          
--/* ================== CODEC_C5 ================== */
--/* set 3.33uA for TxADC bias current, default for other settings. */
MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA   =
          ADIE_CODEC_C5_INIT_V                         +
          ADIE_CODEC_C5_TXADC_BIAS_3D33_UA_V ;

--/* set 13.33uA for TxADC bias current, default for other settings. */
MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA   =
          ADIE_CODEC_C5_INIT_V                          +
          ADIE_CODEC_C5_TXADC_BIAS_13D33_UA_V ;         
--/* ================== CODEC_C6 ================== */
--/* Biquad filter settings: Vref = 1.9V (default), OTA BW = 80MHz (default) */
MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_80_MHZ   =
          ADIE_CODEC_C6_INIT_V ;
--/* Biquad filter settings: Vref = 1.9V (default), OTA BW = 42MHz */
MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ   =
          ADIE_CODEC_C6_INIT_V                  +
          ADIE_CODEC_C6_BIQU_OTA_BW_42_MHZ_V ;


MSMAUD_ADIE_CODEC_C7B_INIT   =
          ADIE_CODEC_C7B_INIT_V ;

--/* CHD Vref : connect, HSSD-Mic2 : disconnect */
MSMAUD_ADIE_CODEC_C7B_VREF_TO_CHD       =
          MSMAUD_ADIE_CODEC_C7B_INIT            +
          ADIE_CODEC_C7B_VREF_TO_CHD_CONNECT_V ;

--/* CHD Vref : disconnect, HSSD-Mic2 : connect */
MSMAUD_ADIE_CODEC_C7B_HSSD_TO_MIC2      =
          MSMAUD_ADIE_CODEC_C7B_INIT            +
          ADIE_CODEC_C7B_HSSD_TO_MIC2_CONNECT_V ;

--/* CHD Vref : connect, HSSD-Mic2 : connect */
MSMAUD_ADIE_CODEC_C7B_VREF_TO_CHD_HSSD_TO_MIC2   =
          MSMAUD_ADIE_CODEC_C7B_INIT                     +
          ADIE_CODEC_C7B_VREF_TO_CHD_CONNECT_V           +
          ADIE_CODEC_C7B_HSSD_TO_MIC2_CONNECT_V ;
--/* ================== CODEC_C8 ================== */
--/* no codec loopback */
MSMAUD_ADIE_CODEC_C8_INIT   =
          ADIE_CODEC_C8_INIT_V ;

--/* enable codec loopback mode */
MSMAUD_ADIE_CODEC_C8_CODEC_LOOPBACK    =
          MSMAUD_ADIE_CODEC_C8_INIT            +
          ADIE_CODEC_C8_CODEC_LOOPBACK_L_ENA_V +
          ADIE_CODEC_C8_CODEC_LOOPBACK_R_ENA_V ;
--/* 0.1uF (default), differential-mode HPH */
MSMAUD_ADIE_CODEC_C8_0D1_UF_DIFF_HPH   =
          ADIE_CODEC_C8_HSSD_MIC2_CAP_0D1_UF_V +
          ADIE_CODEC_C8_HPH_DIFF_SEL_V ;

--/* 0.1uF (default), single-ended-mode HPH */
MSMAUD_ADIE_CODEC_C8_0D1_UF_SINGLE_HPH  =
          ADIE_CODEC_C8_HSSD_MIC2_CAP_0D1_UF_V ;
--/* ================== CODEC_C9 ================== */
MSMAUD_ADIE_CODEC_C9_INIT   =
          ADIE_CODEC_C9_INIT_V ;

--/* enable left biquad output in differential configuration */
MSMAUD_ADIE_CODEC_C9_BIQU_L_OUTPUT_DIFF   =
          MSMAUD_ADIE_CODEC_C9_INIT               +
          ADIE_CODEC_C9_BIQU_L_OUTPUT_SEL_V ;

--/* feed the left channel to both output amps. in stereo mode */
MSMAUD_ADIE_CODEC_C9_LEFT_TO_BOTH_CHANNELS   =
          MSMAUD_ADIE_CODEC_C9_INIT                  +
          ADIE_CODEC_C9_PA_INPUT_L_TO_R_SEL_V        +
          ADIE_CODEC_C9_PA_INPUT_R_TO_L_SEL_V ;
MSMAUD_ADIE_CODEC_C9_DIFF_LINE_OUT   =
          ADIE_CODEC_C9_LINE_OUT_DIFF_SEL_V ;   
--/* ================== CODEC_C12 ================== */
MSMAUD_ADIE_CODEC_C12_500_UA_190_UA_230_UA   =
          ADIE_CODEC_C12_INIT_V                      +
          ADIE_CODEC_C12_MICAMP2_I_500_UA_V          +
          ADIE_CODEC_C12_OTA1_190_UA_OTA2_230_UA_V ;

--/* micamp2 : 500uA (default), AAF : 380uA (OTA1), 460uA (OTA2) */
MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA   =
          ADIE_CODEC_C12_INIT_V                      +
          ADIE_CODEC_C12_MICAMP2_I_500_UA_V          +
          ADIE_CODEC_C12_OTA1_380_UA_OTA2_460_UA_V ;

--/* micamp2 : 1mA, AAF : 760uA (OTA1), 920uA (OTA2) */
MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA   =
          ADIE_CODEC_C12_INIT_V                    +
          ADIE_CODEC_C12_MICAMP2_I_1_MA_V          +
          ADIE_CODEC_C12_OTA1_760_UA_OTA2_920_UA_V ;
--/* HSSD : selected, HSSD-HKADC : disconnected */
MSMAUD_ADIE_CODEC_C12_HSSD   =
          ADIE_CODEC_C12_HSSD_SEL_V ;

--/* HSSD : selected, HSSD-HKADC : connected */
MSMAUD_ADIE_CODEC_C12_HSSD_TO_HKADC   =
          MSMAUD_ADIE_CODEC_C12_HSSD         +
          ADIE_CODEC_C12_HSSD_TO_HKADC_ENA_V ;

--/* ================== CODEC_C13 ================== */
--/* no 1-bit data loopback */
MSMAUD_ADIE_CODEC_C13_INIT   =
          ADIE_CODEC_C13_INIT_V ;

--/* internal 1-bit data loopback */
MSMAUD_ADIE_CODEC_C13_INT_1BIT_LOOPBACK   =
          MSMAUD_ADIE_CODEC_C13_INIT              +
          ADIE_CODEC_C13_LOOPBACK_INT_ENA_V ;

--/* external 1-bit data loopback */
MSMAUD_ADIE_CODEC_C13_EXT_1BIT_LOOPBACK   =
          MSMAUD_ADIE_CODEC_C13_INIT              +
          ADIE_CODEC_C13_LOOPBACK_EXT_ENA_V ;      
MSMAUD_ADIE_CODEC_C13_HSSD_CAPLESS_MODE   =
          ADIE_CODEC_C13_HSSD_CAPLESS_MODE_ENA_V ;
--/* ================== CODEC_C14 ================== */          
--/* disconnect both left and right Biquad filters */
MSMAUD_ADIE_CODEC_C14_INIT  = 
          ADIE_CODEC_C14_INIT_V ;

--/* hookup EAR1 output */
MSMAUD_ADIE_CODEC_C14_EAR1  =
          MSMAUD_ADIE_CODEC_C14_INIT +
          ADIE_CODEC_C14_BIQU_L_TO_EAR1_SEL_V ;

--/* hookup mono HPH output */
MSMAUD_ADIE_CODEC_C14_HPH_L  =
          MSMAUD_ADIE_CODEC_C14_INIT +
          ADIE_CODEC_C14_BIQU_L_TO_HPH_L_SEL_V ;

--/* hookup stereo HPH output */
MSMAUD_ADIE_CODEC_C14_HPH_LR           =
          MSMAUD_ADIE_CODEC_C14_INIT           +
          ADIE_CODEC_C14_BIQU_L_TO_HPH_L_SEL_V +
          ADIE_CODEC_C14_BIQU_R_TO_HPH_R_SEL_V ;

--/* hookup mono Line out */
MSMAUD_ADIE_CODEC_C14_LINEO_L           =
          MSMAUD_ADIE_CODEC_C14_INIT            +
          ADIE_CODEC_C14_BIQU_L_TO_LINEO_L_SEL_V ;

--/* hookup stereo Line out */
MSMAUD_ADIE_CODEC_C14_LINEO_LR           =
          MSMAUD_ADIE_CODEC_C14_INIT             +
          ADIE_CODEC_C14_BIQU_L_TO_LINEO_L_SEL_V +
          ADIE_CODEC_C14_BIQU_R_TO_LINEO_R_SEL_V ;

--/* hookup single-ended AUX */
MSMAUD_ADIE_CODEC_C14_AUXSE   =
          MSMAUD_ADIE_CODEC_C14_INIT  +
          ADIE_CODEC_C14_BIQU_L_TO_AUXSE_SEL_V ;


voc_adie_headset_and_speaker_config =
{                                                                   
        ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
        ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
        ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN,          
        ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,         
        ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,        
        ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
        ADIE_CODEC_EN6_R, MSMAUD_ADIE_CODEC_EN6_ENABLE_HPH_CHD_REF,                          
        ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
        ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,              
        ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
        ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                           + MSMAUD_ADIE_CODEC_C3_MIC1_L_NO_BYPASS),      
        ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                           + MSMAUD_ADIE_CODEC_C4_MIC1_R_NO_BYPASS),      
        ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
        ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
        ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
        ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
        ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
        ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
        ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
        ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
        ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
        ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
        ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
        ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                         
        ADIE_CODEC_C9_R,  (MSMAUD_ADIE_CODEC_C9_DIFF_LINE_OUT + MSMAUD_ADIE_CODEC_C9_BIQU_L_OUTPUT_DIFF) ,                      
	  		ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_0D1_UF_DIFF_HPH,                      
        ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_HPH_R_AND_LINE_R,        
        ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L_AND_LINE_L,       
        ADIE_CODEC_C14_R,( MSMAUD_ADIE_CODEC_C14_LINEO_L + MSMAUD_ADIE_CODEC_C14_HPH_L)                   
};
voc_adie_handset_config =
{                                                                   
      ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
      ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
      ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
      ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
      ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
      ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
      ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
      ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                     
      ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_10D5_DB_L,           
      ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
      ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                         + MSMAUD_ADIE_CODEC_C3_MIC1_L_NO_BYPASS),      
      ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                         + MSMAUD_ADIE_CODEC_C4_MIC1_R_NO_BYPASS),      
      ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,   
      ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,        
      ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
      ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
      ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
      ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
      ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                         
      ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
      ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA,     
      ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
      ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                     
      ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
      ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_EAR1,              
      ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_EAR1                      
};
voc_adie_handset_no_micamp2_config = 
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP1_L,         
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_0_DB_L,              
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,              
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MIC1_L_BYPASS_MICAMP2), 
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                     + MSMAUD_ADIE_CODEC_C4_MIC1_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,   
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                          
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                     
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA,     
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                    
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                        
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_EAR1,              
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_EAR1                     
};
voc_adie_handset_no_mic_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                    
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_DISABLE_TX_LEFT,          
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                     
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,              
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL               
                     + MSMAUD_ADIE_CODEC_C3_MIC1_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA     
                     + MSMAUD_ADIE_CODEC_C4_MIC1_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                    
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                    
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                         
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                    
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                         
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_EAR1,              
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_EAR1                     
};
voc_adie_mono_headset_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,        
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, MSMAUD_ADIE_CODEC_EN6_ENABLE_HPH_CHD_REF,       
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_10D5_DB_L,           
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL               
                     + MSMAUD_ADIE_CODEC_C3_MIC2_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                     + MSMAUD_ADIE_CODEC_C4_MIC2_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_0D1_UF_SINGLE_HPH,         
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, (MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA     
                     + MSMAUD_ADIE_CODEC_C12_HSSD_TO_HKADC),        
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L,             
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_HPH_L                     
};
--wanyh change C12_R value 0925 for headset swtich detect ;change back 0930
voc_adie_stereo_headset_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN,         
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,        
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, MSMAUD_ADIE_CODEC_EN6_ENABLE_HPH_CHD_REF,       
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_10D5_DB_L,           
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MIC2_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                     + MSMAUD_ADIE_CODEC_C4_MIC2_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_0D1_UF_SINGLE_HPH,        
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_LEFT_TO_BOTH_CHANNELS,     
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                         
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, (MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA
                             + MSMAUD_ADIE_CODEC_C12_HSSD_TO_HKADC),        
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_HPH_R,             
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L,             
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_HPH_LR                    
};
voc_adie_mono_headphone_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_DISABLE_TX_LEFT,          
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, MSMAUD_ADIE_CODEC_EN6_ENABLE_HPH_CHD_REF,       
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,               
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MIC2_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA     
                     + MSMAUD_ADIE_CODEC_C4_MIC2_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                     
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                         
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L,             
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_HPH_L                     
};
voc_adie_stereo_headphone_config =
{                                                                  
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN,          
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_DISABLE_TX_LEFT,          
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, MSMAUD_ADIE_CODEC_EN6_ENABLE_HPH_CHD_REF,       
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,               
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MIC2_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                     + MSMAUD_ADIE_CODEC_C4_MIC2_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_HPH_R,             
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L,             
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_HPH_LR                    
};
voc_adie_aux_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,       
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                         
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                     
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_0_DB_L,             
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MICA_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                     + MSMAUD_ADIE_CODEC_C4_MICA_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,   
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                     
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                         
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA,    
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                         
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_AUX_SE,            
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_AUXSE                    
};
voc_adie_aux_no_mic_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_DISABLE_TX_LEFT,          
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,        
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,               
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MICA_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                     + MSMAUD_ADIE_CODEC_C4_MICA_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA, 
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                          
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                    
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                    
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                        
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                        
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                    
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                     
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,    
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_LINE_OUT_R,                      
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_AUX_SE,           
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_AUXSE                   
};
voc_adie_speaker_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN,          
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,        
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_10D5_DB_L,           
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MIC1_L_NO_BYPASS),     
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                     + MSMAUD_ADIE_CODEC_C4_MIC1_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,    
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                          
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                     
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA,    
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                     
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                           
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_LINE_OUT_R,        
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_LINE_OUT_L,       
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_LINEO_L                   
};
voc_adie_speaker_no_mic_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN,          
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_DISABLE_TX_LEFT,          
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,               
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,              
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MIC1_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                     + MSMAUD_ADIE_CODEC_C4_MIC1_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_C9_R,  (MSMAUD_ADIE_CODEC_C9_DIFF_LINE_OUT + ADIE_CODEC_C9_BIQU_L_OUTPUT_SEL_V) ,                      
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_LINE_OUT_R,        
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_LINE_OUT_L,        
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_LINEO_L                   
};
voc_adie_tty_vco_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,       
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, MSMAUD_ADIE_CODEC_EN6_ENABLE_HPH_CHD_REF,       
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_0_DB_L,             
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MIC1_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                     + MSMAUD_ADIE_CODEC_C4_MIC1_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,   
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                          
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                     
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                     
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                         
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA,     
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L,             
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_HPH_L                     
};
voc_adie_tty_hco_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,       
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                         
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_0_DB_L,             
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,              
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL               
                     + MSMAUD_ADIE_CODEC_C3_MIC2_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                     + MSMAUD_ADIE_CODEC_C4_MIC2_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,   
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA,     
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_EAR1,              
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_EAR1                      
};
voc_adie_usb_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA, 
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                     
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_0_DB_L,              
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL               
                     + MSMAUD_ADIE_CODEC_C3_MICA_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                     + MSMAUD_ADIE_CODEC_C4_MICA_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,   
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,        
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT, 
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                     
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA,     
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_LINE_OUT_L,        
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_LINEO_L                  
};
voc_adie_usb_no_mic_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_DISABLE_TX_LEFT,          
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA, 
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,               
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MICA_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                     + MSMAUD_ADIE_CODEC_C4_MICA_R_NO_BYPASS),     
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                     
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                     
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                         
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,      
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_LINE_OUT_L,       
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_LINEO_L                   
};
voc_adie_stereo_usb_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN,          
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,        
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_24_DB_0_DB_L,              
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,              
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MICA_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_500_UA    
                     + MSMAUD_ADIE_CODEC_C4_MICA_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_3D33_UA,   
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,        
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                          
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_LEFT_TO_BOTH_CHANNELS,     
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_500_UA_380_UA_460_UA,     
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_LINE_OUT_R,       
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_LINE_OUT_L,        
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_LINEO_LR                 
};
voc_adie_stereo_usb_no_mic_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN,          
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_DISABLE_TX_LEFT,          
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA, 
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,              
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_MICA_L_NO_BYPASS),      
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                     + MSMAUD_ADIE_CODEC_C4_MICA_R_NO_BYPASS),      
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,      
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_LINE_OUT_R,        
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_LINE_OUT_L,        
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_LINEO_LR                  
};
voc_adie_pwr_down_config =
{                                                              
  ADIE_CODEC_C7B_R, ADIE_CODEC_C7B_INIT_V,                     
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                
  ADIE_CODEC_EN1_R, ADIE_CODEC_EN1_INIT_V,                    
  ADIE_CODEC_EN2_R, ADIE_CODEC_EN2_INIT_V,                    
  ADIE_CODEC_EN3_R, ADIE_CODEC_EN3_INIT_V,                     
  ADIE_CODEC_EN4_R, ADIE_CODEC_EN4_INIT_V,                     
  ADIE_CODEC_EN5_R, ADIE_CODEC_EN5_INIT_V,                   
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V                      
};
voc_adie_mono_sadc_mono_handset_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,         
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,              
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,              
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_LINEI_L_NO_BYPASS),     
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                     + MSMAUD_ADIE_CODEC_C4_LINEI_R_NO_BYPASS),     
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                    
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                         
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                         
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_EAR1,              
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_EAR1                     
};
voc_adie_mono_sadc_stereo_headset_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN,         
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_DISABLE_TX_RIGHT,       
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, MSMAUD_ADIE_CODEC_EN6_ENABLE_HPH_CHD_REF,      
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,              
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_LINEI_L_NO_BYPASS),     
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                     + MSMAUD_ADIE_CODEC_C4_LINEI_R_NO_BYPASS),     
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_LEFT_TO_BOTH_CHANNELS,     
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_HPH_R,             
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L,             
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_HPH_LR                    
};

voc_adie_stereo_sadc_mono_handset_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_DISABLE_RIGHT_CHAN,       
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_ENABLE_MICAMP12_R,        
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, ADIE_CODEC_EN6_INIT_V,                          
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,               
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,               
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                
                     + MSMAUD_ADIE_CODEC_C3_LINEI_L_NO_BYPASS),     
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                     + MSMAUD_ADIE_CODEC_C4_LINEI_R_NO_BYPASS),     
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                      
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                      
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                          
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                     
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_EAR1,              
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_EAR1                     
};

voc_adie_stereo_sadc_stereo_headset_config =
{                                                                   
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_INIT,                     
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_INIT_CORE,                
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_INIT_RIGHT_CHAN,          
  ADIE_CODEC_EN3_R, MSMAUD_ADIE_CODEC_EN3_ENABLE_MICAMP12_L,        
  ADIE_CODEC_EN4_R, MSMAUD_ADIE_CODEC_EN4_ENABLE_MICAMP12_R,        
  ADIE_CODEC_EN5_R, MSMAUD_ADIE_CODEC_EN5_ENABLE_BANDGAP_NOAUXPGA,  
  ADIE_CODEC_EN6_R, MSMAUD_ADIE_CODEC_EN6_ENABLE_HPH_CHD_REF,        
  ADIE_CODEC_EN7_R, ADIE_CODEC_EN7_RESERVED_V,                      
  ADIE_CODEC_C1_R,  MSMAUD_ADIE_CODEC_C1_0_DB_0_DB_L,              
  ADIE_CODEC_C2_R,  MSMAUD_ADIE_CODEC_C2_0_DB_0_DB_R,              
  ADIE_CODEC_C3_R,  (MSMAUD_ADIE_CODEC_C3_MIC12A_LLL                 
                     + MSMAUD_ADIE_CODEC_C3_LINEI_L_NO_BYPASS),     
  ADIE_CODEC_C4_R,  (MSMAUD_ADIE_CODEC_C4_TXADC_CLKADV_ON_1_MA      
                     + MSMAUD_ADIE_CODEC_C4_LINEI_R_NO_BYPASS),     
  ADIE_CODEC_C5_R,  MSMAUD_ADIE_CODEC_C5_INIT_TXADC_BIAS_13D33_UA,  
  ADIE_CODEC_C6_R,  MSMAUD_ADIE_CODEC_C6_BIQU_1D9_V_42_MHZ,         
  ADIE_CODEC_C7_R,  ADIE_CODEC_C7_INIT_V,                           
  ADIE_CODEC_C7B_R, MSMAUD_ADIE_CODEC_C7B_INIT,                     
  ADIE_CODEC_C8_R,  MSMAUD_ADIE_CODEC_C8_INIT,                     
  ADIE_CODEC_C9_R,  MSMAUD_ADIE_CODEC_C9_INIT,                     
  ADIE_CODEC_C10_R, ADIE_CODEC_C10_INIT_V,                          
  ADIE_CODEC_C11_R, ADIE_CODEC_C11_INIT_V,                         
  ADIE_CODEC_C12_R, MSMAUD_ADIE_CODEC_C12_1_MA_760_UA_920_UA,       
  ADIE_CODEC_C13_R, MSMAUD_ADIE_CODEC_C13_INIT,                     
  ADIE_CODEC_C15_R, ADIE_CODEC_C15_RESERVED_V,                      
  ADIE_CODEC_TST_R, ADIE_CODEC_TST_INIT_V,                          
  ADIE_CODEC_EN2_R, MSMAUD_ADIE_CODEC_EN2_ENABLE_HPH_R,             
  ADIE_CODEC_EN1_R, MSMAUD_ADIE_CODEC_EN1_ENABLE_HPH_L,             
  ADIE_CODEC_C14_R, MSMAUD_ADIE_CODEC_C14_HPH_LR                    
};

voc_qtunes_pcm_filter_coeff_default =
{
  0x4000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000, 0x0000,0x0000,0x0000
};
voc_cal_qtunes_pcm_filter_default =
{
 	0x0000,                        -- /* PCM filter enable/disable flag  */
  "voc_qtunes_pcm_filter_coeff_default",
                                --  /* FIR filter coefficients         */
  0x0080,                       --  /* Number of coefficients          */
  0x0002                         -- /* Shift factor                    */
};
voc_cal_qtunes_pcm_filter =
{
	"NULL",-- /* Dummy for ZERO k - DO NOT USE      */
  "voc_cal_qtunes_pcm_filter_default", --/* 8k   */
  "voc_cal_qtunes_pcm_filter_default", --/* 11k  */
  "voc_cal_qtunes_pcm_filter_default", --/* 12k  */
  "voc_cal_qtunes_pcm_filter_default", --/* 16k  */
  "voc_cal_qtunes_pcm_filter_default", --/* 22k  */
  "voc_cal_qtunes_pcm_filter_default", --/* 24k  */
  "voc_cal_qtunes_pcm_filter_default", --/* 32k  */
  "voc_cal_qtunes_pcm_filter_default", --/* 44p1k  */
  "voc_cal_qtunes_pcm_filter_default"  --/* 48k  */
};

voc_cal_qsynth_adrc_ctl =
{
  {
    0x0000,                         --/* ADRC enable/disable flag        */
    0x1E0C,                         --/* Compression threshold           */
    0xCCCD,                         --/* Compression slope               */
    0x0100,                         --/* RMS signal energy time-ave const*/
    { 0x7F4C, 0x454D },             --/* Attack constant                 */
    { 0x7FF6, 0xFD73 },             --/* Release constant                */
    0x0016                          --/* System delay                    */
  }
--#ifdef MSMAUD_QSYNTH_HYBRID_MODE_SUPPORT
  ,{
    0x0000,                         --/* ADRC enable/disable flag        */
    0x1E0C,                         --/* Compression threshold           */
    0xCCCD,                         --/* Compression slope               */
    0x0100,                         --/* RMS signal energy time-ave const*/
    { 0x7F7D, 0x30AD },             --/* Attack constant                 */
    { 0x7FF9, 0x7247 },             --/* Release constant                */
    0x0016                          --/* System delay                    */
  }
--#endif /* MSMAUD_QSYNTH_HYBRID_MODE_SUPPORT */
};

voc_cal_ec_params_esec =
{
  0x0000,-- /* 0ms     */             --/* Farend hangover threshold       */
  0x00A0, --/* 20ms    */             --/* Doubletalk hangover threshold   */
  0x0190, --/* 50ms    */             --/* Startup mute hangover threshold */
  0x0000, --/* NOMINAL */             --/* Startup mute mode               */
  0x007F  --/* 12dB    */             --/* Startup ERLE threshold          */
};
voc_cal_ec_params_headset =
{
  0x0000, --/* 0ms     */            -- /* Farend hangover threshold       */
  0x00A0, --/* 20ms    */             --/* Doubletalk hangover threshold   */
  0x0190, --/* 50ms    */             --/* Startup mute hangover threshold */
  0x0000, --/* NOMINAL */             --/* Startup mute mode               */
  0x007F  --/* 12dB    */             --/* Startup ERLE threshold          */
};

voc_cal_ec_params_aec =
{
  0x0320, --/* 100ms   */             --/* Farend hangover threshold       */
  0x0320, --/* 100ms   */             --/* Doubletalk hangover threshold   */
  0x0190, --/* 50ms    */             --/* Startup mute hangover threshold */
  0x0000, --/* NOMINAL */             --/* Startup mute mode               */
  0x007F  --/* 12dB    */             --/* Startup ERLE threshold          */
};
voc_cal_ec_params_speaker =
{
  0x0320, --/* 100ms   */             --/* Farend hangover threshold       */
  0x0320, --/* 100ms   */             --* Doubletalk hangover threshold   */
  0x07D0, --/* 250ms   */             --/* Startup mute hangover threshold */
  0x0000, --/* NOMINAL */             --/* Startup mute mode               */
  0x7FFF  --/* MAX     */             --/* Startup ERLE threshold          */
};
voc_cal_ec_params_bt_headset =
{
  0x0000, --/* 0ms     */            -- /* Farend hangover threshold       */
  0x00A0, --/* 20ms    */             /* Doubletalk hangover threshold   */
  0x0190, --/* 50ms    */             /* Startup mute hangover threshold */
  0x0000, --/* NOMINAL */             /* Startup mute mode               */
  0x007F  --/* 12dB    */             /* Startup ERLE threshold          */
};

voc_cal_ec_default_params =
{
  "NULL",
  "voc_cal_ec_params_esec",
  "voc_cal_ec_params_headset",
  "voc_cal_ec_params_aec",
  "voc_cal_ec_params_speaker",
  "voc_cal_ec_params_bt_headset"
};
voc_cal_nextgen_ec_parms_handset = {
  0x7FFF,     --/* NLPP_limit */
  0x800,      --/* NLPP_gain */
  0x7FFF,     --/* NLMS_limit */
  0x109F,     --/* HS mode */
  0x0,        --/* Tuning mode */
  0x14,       --/* echo_path_delay */
  0x800,      --/* OutputGain */
  0x2000,     --/* InputGain */
  0x2000,     --/* NLMS_twoalpha */
  0xFA,       --/* NLMS_erl */
  0x46,       --/* NLMS_taps */
  0x1,        --/* NLMS_preset_coefs */
  0x2FF,      --/* NLMS_offset */
  0x40,       --/* NLMS_erl_bg */
  0x20,       --/* NLMS_taps_bg */
  0x4650,     --/* PCD_threshold */
  0x40,       --/* minimum_erl */
  0x41A0,     --/* erl_step */
  0x800,      --/* max_noise_floor */
  0x63,       --/* det_threshold */
  0x4E20,     --/* SPDET_far */
  0x4E20,     --/* SPDET_mic */
  0x1,        --/* SPDET_xclip */
  0x4A38,     --/* DENS_tail_alpha */
  0x1770,     --/-* DENS_tail_portion */
  0x0,        --/* DENS_gamma_e_alpha */
  0x100,      --/* DENS_gamma_e_high */
  0x100,      --/* DENS_gamma_e_dt */
  0x400,      --/* DENS_gamma_e_low */
  0x200,      --/* DENS_gamma_e_rescue */
  0x400,      --/* DENS_spdet_near */
  0x300,      --/* DENS_spdet_act */
  0x1E6,      --/* DENS_gamma_n */
  0x190,      --/* DENS_NFE_blocksize */
  0x2879,     --/* DENS_limit_NS */
  0x1C2,      --/* DENS_NL_atten */
  0x2EE0,     --/* DENS_CNI_level */
  0xFA0       --/* WB_echo_ratio */
};
voc_cal_nextgen_ec_parms_headset = {
  0x7FFF,     --/* NLPP_limit */
  0x800,      --/* NLPP_gain */
  0x7FFF,     --/* NLMS_limit */
  0x109F,     --/* HS mode */
  0x0,        --/* Tuning mode */
  0x14,       --/* echo_path_delay */
  0x800,      --/* OutputGain */
  0x2000,     --/* InputGain */
  0x2000,     --/* NLMS_twoalpha */
  0x200,      --/* NLMS_erl */
  0x3C,       --/* NLMS_taps */
  0x1,        --/* NLMS_preset_coefs */
  0x2FF,      --/* NLMS_offset */
  0x40,       --/* NLMS_erl_bg */
  0x20,       --/* NLMS_taps_bg */
  0x2710,     --/* PCD_threshold */
  0x40,       --/* minimum_erl */
  0x41A0,     --/* erl_step */
  0x800,      --/* max_noise_floor */
  0x63,       --/* det_threshold */
  0x4E20,     --/* SPDET_far */
  0x4E20,     --/* SPDET_mic */
  0x1,        --/* SPDET_xclip */
  0x4650,     --/* DENS_tail_alpha */
  0xBB8,      --/* DENS_tail_portion */
  0x0,        --/* DENS_gamma_e_alpha */
  0x12C,      --/* DENS_gamma_e_high */
  0x12C,      --/* DENS_gamma_e_dt */
  0x400,      --/* DENS_gamma_e_low */
  0x200,      --/* DENS_gamma_e_rescue */
  0x200,      --/* DENS_spdet_near */
  0x300,      --/* DENS_spdet_act */
  0x1E6,      --/* DENS_gamma_n */
  0x190,      --/* DENS_NFE_blocksize */
  0x2879,     --/* DENS_limit_NS */
  0x384,      --/* DENS_NL_atten */
  0x32C8,     --/* DENS_CNI_level */
  0xFA0       --/* WB_echo_ratio */
};
voc_cal_nextgen_ec_parms_handsfree = {
  0x7FFF,     --/* NLPP_limit */
  0x800,      --/* NLPP_gain */
  0x7FFF,     --/* NLMS_limit */
  0x179F,     --/* HS mode */
  0x0,        --/* Tuning mode */
  0x14,       --/* echo_path_delay */
  0x800,      --/* OutputGain */
  0x2000,     --/* InputGain */
  0x2000,     --/* NLMS_twoalpha */
  0x80,       --/* NLMS_erl */
  0x8C,       --/* NLMS_taps */
  0x1,        --/* NLMS_preset_coefs */
  0x190,      --/* NLMS_offset */
  0x40,       --/* NLMS_erl_bg */
  0x20,       --/* NLMS_taps_bg */
  0x36B0,     --/* PCD_threshold */
  0x40,       --/* minimum_erl */
  0x41A0,     --/* erl_step */
  0x800,      --/* max_noise_floor */
  0x63,       --/* det_threshold */
  0x4E20,     --/* SPDET_far */
  0x4E20,     --/* SPDET_mic */
  0x1,        --/* SPDET_xclip */
  0x4A38,     --/* DENS_tail_alpha */
  0x1770,     --/* DENS_tail_portion */
  0x0,        --/* DENS_gamma_e_alpha */
  0x190,      --/* DENS_gamma_e_high */
  0x190,      --/* DENS_gamma_e_dt */
  0x1E00,     --/* DENS_gamma_e_low */
  0x258,      --/* DENS_gamma_e_rescue */
  0x400,      --/* DENS_spdet_near */
  0x300,      --/* DENS_spdet_act */
  0x1E6,      --/* DENS_gamma_n */
  0x190,      --/* DENS_NFE_blocksize */
  0x286D,     --/* DENS_limit_NS */
  0x200,      --/* DENS_NL_atten */
  0x32C8,     --/* DENS_CNI_level */
  0xFA0       --/* WB_echo_ratio */
};
voc_cal_nextgen_ec_parms_speaker = 
{
  0x7FFF,     --/* NLPP_limit */
  0x800,      --/* NLPP_gain */
  0x7FFF,     --/* NLMS_limit */
  0x179F,     --/* HS mode */
  0x0,        --/* Tuning mode */
  0x14,       --/* echo_path_delay */
  0x800,      --/* OutputGain */
  0x2000,     --/* InputGain */
  0x2000,     --/* NLMS_twoalpha */
  0x80,       --/* NLMS_erl */
  0x8C,       --/* NLMS_taps */
  0x1,        --/* NLMS_preset_coefs */
  0x190,      --/* NLMS_offset */
  0x40,       --/* NLMS_erl_bg */
  0x20,       --/* NLMS_taps_bg */
  0x36B0,     --/* PCD_threshold */
  0x40,       --/* minimum_erl */
  0x41A0,     --/* erl_step */
  0x800,      --/* max_noise_floor */
  0x63,       --/* det_threshold */
  0x4E20,     --/* SPDET_far */
  0x4E20,    -- /* SPDET_mic */
  0x1,       -- /* SPDET_xclip */
  0x4A38,    -- /* DENS_tail_alpha */
  0x1770,     --/* DENS_tail_portion */
  0x0,        --/* DENS_gamma_e_alpha */
  0x190,      --/* DENS_gamma_e_high */
  0x190,      --/* DENS_gamma_e_dt */
  0x1E00,     --/* DENS_gamma_e_low */
  0x258,      --/* DENS_gamma_e_rescue */
  0x400,      --/* DENS_spdet_near */
  0x300,      --/* DENS_spdet_act */
  0x1E6,      --/* DENS_gamma_n */
  0x190,      --/* DENS_NFE_blocksize */
  0x286D,     --/* DENS_limit_NS */
  0x200,      --/* DENS_NL_atten */
  0x32C8,     --/* DENS_CNI_level */
  0xFA0       --/* WB_echo_ratio */
};
voc_cal_nextgen_ec_parms_bt_headset =
{
  0x7FFF,     --/* NLPP_limit */
  0x800,      --/* NLPP_gain */
  0x21DB,     --/* NLMS_limit */
  0x109F,     --/* HS mode */
  0x0,        --/* Tuning mode */
  0x78,       --/* echo_path_delay */
  0x800,      --/* OutputGain */
  0x2000,     --/* InputGain */
  0x2000,     --/* NLMS_twoalpha */
  0x140,      --/* NLMS_erl */
  0xC8,       --/* NLMS_taps */
  0x1,        --/* NLMS_preset_coefs */
  0x190,      --/* NLMS_offset */
  0x40,       --/* NLMS_erl_bg */
  0x20,       --/* NLMS_taps_bg */
  0x3977,     --/* PCD_threshold */
  0x40,       --/* minimum_erl */
  0x408A,     --/* erl_step */
  0x800,      --/* max_noise_floor */
  0x63,       --/* det_threshold */
  0x4E20,     --/* SPDET_far */
  0x4E20,     --/* SPDET_mic */
  0x1,        --/* SPDET_xclip */
  0x6D60,     --/* DENS_tail_alpha */
  0x4650,     --/* DENS_tail_portion */
  0x0,        --/* DENS_gamma_e_alpha */
  0x106,      --/* DENS_gamma_e_high */
  0x161,      --/* DENS_gamma_e_dt */
  0x1E00,     --/* DENS_gamma_e_low */
  0x384,      --/* DENS_gamma_e_rescue */
  0x1912,     --/* DENS_spdet_near */
  0x300,      --/* DENS_spdet_act */
  0x1DD,      --/* DENS_gamma_n */
  0x190,      --/* DENS_NFE_blocksize */
  0x286D,     --/* DENS_limit_NS */
  0x300,      --/* DENS_NL_atten */
  0x2D55,     --/* DENS_CNI_level */
  0x100       --/* WB_echo_ratio */
};
voc_cal_nextgen_ec_default_parms =
{
 "NULL",
 "voc_cal_nextgen_ec_parms_handset",
 "voc_cal_nextgen_ec_parms_headset",
 "voc_cal_nextgen_ec_parms_handsfree",
 "voc_cal_nextgen_ec_parms_speaker",
 "voc_cal_nextgen_ec_parms_bt_headset"
};

VOC_EC_OFF = 0;
VOC_EC_ESEC =1;
VOC_EC_HEADSET = 2;
VOC_EC_AEC = 3;
VOC_EC_SPEAKER = 4;
VOC_EC_BT_HEADSET = 5;
VOC_EC_DEFAULT = 6;
VOC_NS_OFF = 0;
VOC_NS_ON =1 ;
VOC_NS_DEFAULT = 2;
VOC_EC_NS_FORCE_DISABLED = 0;   -- /* Force EC/NS to be disabled   */
VOC_EC_NS_NORMAL_OPERATION = 1; --/* Have EC/NS operate as normal */
VOC_VOX_OFF = 0;
VOC_VOX_ON = 1;
VOC_VOX_DEFAULT = 2;
VOC_VOX_FORCE_ENABLED = 0;   --  /* Force VOX to be enabled   */
VOC_VOX_NORMAL_OPERATION = 1 ;
VOC_SIDETONE_OFF = 0;
VOC_SIDETONE_ON = 1;
VOC_SIDETONE_DEFAULT = 2;
VOC_SIDETONE_FORCE_DISABLED = 0;     --/* Force sidetone to be disabled   */
VOC_SIDETONE_NORMAL_OPERATION =1;  --/* Have sidetone operate as normal */
VOC_HSSD_DISABLED = 0;
VOC_HSSD_ENABLED = 1;

QDSP_CMD_IIR_FILTER_ENABLE =  0xffff;
QDSP_CMD_IIR_FILTER_DISABLE = 0x0;
QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE = 0;     --/* Headphone output mode       */
QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_FRONT = 1; --/* Speaker front firing mode   */
QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_SIDE = 2;  --/* Speaker side firing mode    */
QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_DESK = 3;  --/* Speaker desk output mode    */
QDSP_CMD_3D_POS_OUTPUT_MODE_INVALID = 4;
--wanyh 0727
voc_pcm_on_chip_0_cal =
{
	VOC_EC_ESEC,
	VOC_NS_ON,
	0x6410,  
	0x1000, 
	0x9A6A, 
	0x1200,
	0x9600,                         --/* CODEC sidetone gain     */
	{0xFFD7,0x0007,0xFFCD,0x02C0,0x0B31,0xEAD4,0x44F7},               --/* Tx PCM filter 
	{0xFE46,0x069C,0x094F,0x06BC,0xFD1A,0xF4C3,0x7EED},               --rx pcm filter
	0 ,                             --/* Rx dBm offset  
	{
		0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
   }
 ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};
--wanyh change 0904  0912 0914  0919 0928
voc_pcm_on_chip_0_gsm_cal =
{
	VOC_EC_ESEC,
	VOC_NS_ON,
	0x6000,                        --/* Tx Voice Volume 
	0x1000,                        --/* Tx DTMF gain
	0x5000,                        --/* CODEC Tx gain           */
  0x9000,                        --/* CODEC Rx gain           */
  0x1013,                        --/* CODEC sidetone gain     */
                                 --/* Tx PCM filter           */
  {0xFF22,0xFFF2,0xFEAC,0x090F,0xFC48,0xE4DC,0x608A},
  {0x0050,0x00B0,0x0560,0x0270,0x04CE,0x0092,0x1ACC},               --/* Rx PCM filter 
   0 ,                           --  /* Rx dBm offset 
	{
    0x2000, 0x0, 0x1800, 0xff9a, 0x1b80, 0xf333,
    0, 0,
    0x2000, 0x0, 0x1800, 0xff9a, 0x1b80, 0xf333
  }
   ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
  
};
voc_pcm_on_chip_1_cal =
{
	VOC_EC_HEADSET,
	VOC_NS_ON,
	0x4000,                        --/* Tx Voice Volume
	0x1000,                        --/* Tx DTMF gain
	0x4000,                        --/* CODEC Tx gain 
	0x4000,                        --/* CODEC Rx gain           */
  0x0400,                        --/* CODEC sidetone gain     */
	{0xfff3, 0x001d, 0xffb9, 0x016b, 0xfa71, 0x0c08, 0x309a},
	{0,0,0,0,0,0,0},               --/* Rx PCM filter
	0,                             -- /* Rx dBm offset
	{
		0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0xf200, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
	}
	 ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_ENABLED
};	
--wanyh change 0904	
voc_pcm_on_chip_1_gsm_cal =
{
	VOC_EC_HEADSET,
	VOC_NS_ON,
	0x9000,                        --/* Tx Voice Volume 
	0x1000,                        --/* Tx DTMF gain 
	0x4000,                        --/* CODEC Tx gain           */
  0x6000,                        --/* CODEC Rx gain           */
  0x0400,                        --/* CODEC sidetone gain     */
  {0xfff3, 0x001d, 0xffb9, 0x016b, 0xfa71, 0x0c08, 0x309a},
  {0,0,0,0,0,0,0},               --/* Rx PCM filter
  0,                             -- /* Rx dBm offset
  {
    0x2000, 0x0, 0x1680, 0xff9a, 0x1900, 0xf333,
    0, 0,
    0x2000, 0x0, 0x1680, 0xff9a, 0x1900, 0xf333
  }
   ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_ENABLED
};
voc_pcm_on_chip_aux_cal =
{
	VOC_EC_AEC,
  VOC_NS_ON,
  VOC_CAL_TX_GAIN_NOM,           --/* Tx Voice Volume
	0x1000,                        --/* Tx DTMF gain   
	0x4000,                        --/* CODEC Tx gain
	0x4000,                        --/* CODEC Rx gain           */
  0,                             --/* CODEC sidetone gain     */
  {0,0,0,0,0,0,0},               --/* Tx PCM filter           */
  {0,0,0,0,0,0,0},               --/* Rx PCM filter   
	0 ,                             --/* Rx dBm offset 
	{
	  0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0xed00, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
	}
	 ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_FRONT
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};
--wanyh change agc for video call noise
VOC_CAL_TX_GAIN_NOM = 0x4000;
voc_pcm_on_chip_speaker_cal =
{
	VOC_EC_SPEAKER,
	VOC_NS_ON,
	VOC_CAL_TX_GAIN_NOM,           --/* Tx Voice Volume 
	0x1000,                        --/* Tx DTMF gain
	0x4000,                        --/* CODEC Tx gain
	0x4000,                        --/* CODEC Rx gain  
	0,                             --/* CODEC sidetone
	{0,0,0,0,0,0,0},               --/* Tx PCM filter
  {0,0,0,0,0,0,0},               --/* Rx PCM filte	
  0,                              --/* Rx dBm offset
  {
    0x2000, 0x0, 0x1b80, 0xff9a, 0x1e00, 0xf333,
    0, 0,
    0x2000, 0x0, 0x1b00, 0xff9a, 0x1b80, 0xf333

  }
   ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_FRONT
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};
--wanyh 0928
voc_pcm_on_chip_speaker_gsm_cal =
{  
	VOC_EC_SPEAKER,
	VOC_NS_ON,
	0xca63,                        --/* Tx Voice Volume   
  0x1000,                        --/* Tx DTMF gain
  0x4392,                        --/* CODEC Tx gain 
  0x91cf,                       -- /* CODEC Rx gain 
  0x0000,                       -- /* CODEC sidetone gain     */
  {0xfff3,0x001d,0xffb9,0x016b,0xfa71,0x0c08,0x309a},
                                 --/* Tx PCM filter           */
  {0xfd3f,0xfc4f,0xfb60,0xfa27,0xf97c,0xf920,0x3934},
                                -- /* Rx PCM filter
  0 ,                             --/* Rx dBm offset 
  {
    0x2000, 0x0, 0x1b80, 0xff9a, 0x1e00, 0xf333,
    0, 0,
    0x2000, 0x0, 0x1400, 0xff9a, 0x1980, 0xf333
  } 
   ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_FRONT
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};

voc_pcm_on_board_cal =
{
	VOC_EC_ESEC,                   --/* Echo Canceller mode     */
  VOC_NS_ON,                     --/* Noise suppressor enable */
  0x4000,                        --/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x4000,                        --/* CODEC Tx gain           */
  0x4000,                        --/* CODEC Rx gain           */
  0,                             --/* CODEC sidetone gain     */
  {0,0,0,0,0,0,0},               --/* Tx PCM filter           */
  {0,0,0,0,0,0,0},               --/* Rx PCM filter  
  0,                              --/* Rx dBm offset
  {
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  
  }
   ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};

voc_pcm_bt_intercom_cal =
{
  VOC_EC_BT_HEADSET,             --/* Echo Canceller mode     */
  VOC_NS_ON,                     --/* Noise suppressor enable */
  VOC_CAL_TX_GAIN_NOM,           --/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x2000,                        --/* CODEC Tx gain           */
  0x4000,                        --/* CODEC Rx gain           */
  0,                             --/* CODEC sidetone gain     */
  {0,0,0,0,0,0,0},               --/* Tx PCM filter           */
  {0,0,0,0,0,0,0},               --/* Rx PCM filter  
  0,                             -- /* Rx dBm offset 
  {
    0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0xF100, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
   ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};

--change wanyh 0824
voc_pcm_bt_ag_cal =
{
 	VOC_EC_BT_HEADSET,             --/* Echo Canceller mode     */
  VOC_NS_ON,                     --/* Noise suppressor enable */
  0x6000,           --/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x4000,                       -- /* CODEC Tx gain           */
  0x4000,                        --/* CODEC Rx gain           */
  0,                             --/* CODEC sidetone gain     */
  {0xfff3, 0x001d, 0xffb9, 0x016b, 0xfa71, 0x0c08, 0x309a},               --/* Tx PCM filter           */
  {0xfd3f,0xfc4f,0xfb60,0xfa27,0xf97c,0xf920,0x3934},               --/* Rx PCM filter  
	0 ,                             --/* Rx dBm offset   
  {
    0x2000, 0x0, 0x1b00, 0xff9a, 0x1b80, 0xf333,
    0, 0,
    0x2000, 0, 0x1680, 0xff9a, 0x1b80, 0xf333
  }
   ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};
voc_pcm_off_board_cal =
{
	VOC_EC_BT_HEADSET,             --/* Echo Canceller mode     */
  VOC_NS_ON,                     --/* Noise suppressor enable */
  0x4d00,                        --/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x4000,                        --/* CODEC Tx gain           */
  0x4000,                        --/* CODEC Rx gain           */
  0,                             --/* CODEC sidetone gain     */
  {0,0,0,0,0,0,0},               --/* Tx PCM filter           */
  {0,0,0,0,0,0,0},               --/* Rx PCM filter           */
  0 ,                            -- /* Rx dBm offset   
  {
    0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0x0600, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
     ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_FRONT
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};
voc_pcm_sdac_cal =
{
 	VOC_EC_ESEC,                   --/* Echo Canceller mode     */
  VOC_NS_ON, 
  0x1800,                        --/* Tx Voice Volume  
	0x1000,                        --/* Tx DTMF gain  
	0x4000,                        --/* CODEC Tx gain
	0x4000,                        --/* CODEC Rx gain           */
  0x400,                         --/* CODEC sidetone 
	{0,0,0,0,0,0,0},               --/* Tx PCM filter  
	{0,0,0,0,0,0,0},               --/* Rx PCM filter  
	 0 ,                           --  /* Rx dBm offset   
	{
		0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
	}
	 ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_DESK
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};  

voc_pcm_tty_on_chip_1_cal =
{
	VOC_EC_OFF,                    --/* Echo Canceller mode     */
  VOC_NS_ON,                     --/* Noise suppressor enable */
  0x2000,                        --/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x4000,                        --/* CODEC Tx gain           */
  0x4000,                        --/* CODEC Rx gain           */
  0x0000,                        --/* CODEC sidetone gain     */
  {0,0,0,0,0,0,0},               --/* Tx PCM filter           */
  {0,0,0,0,0,0,0},               --/* Rx PCM filter   
	0,                              --/* Rx dBm offset
	{
	  0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
     ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};

voc_pcm_tty_off_board_cal =
{
	VOC_EC_OFF,                    --/* Echo Canceller mode     */
  VOC_NS_OFF,                    --/* Noise suppressor enable */
  0x2000,                        --/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x4000,                        --/* CODEC Tx gain           */
  0x4000,                        --/* CODEC Rx gain           */
  0x0000,                        --/* CODEC sidetone gain     */
  {0,0,0,0,0,0,0},               --/* Tx PCM filter           */
  {0,0,0,0,0,0,0},               --/* Rx PCM filter 
	0,                             -- /* Rx dBm offset
  {
    0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0x0600, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
     ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_FRONT
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};

voc_pcm_tty_vco =
{
	VOC_EC_OFF,                    --/* Echo Canceller mode     */
  VOC_NS_ON, 
  0x1800,                        --/* Tx Voice Volume
	0x1000,                        --/* Tx DTMF gain
  0x4000,                       -- /* CODEC Tx gain
  0x4000,                       -- /* CODEC Rx gain           */
  0,                             --/* CODEC sidetone g
  {0,0,0,0,0,0,0},               --/* Tx PCM filter  
  {0,0,0,0,0,0,0},               --/* Rx PCM filter 
  0,                              --/* Rx dBm offset
  {
    0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
     ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};
voc_pcm_tty_hco =
{
	VOC_EC_OFF,                    --/* Echo Canceller mode     */
  VOC_NS_ON,                     --/* Noise suppressor enable */
  0x2000,                        --/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x4000,                       -- /* CODEC Tx gain           */
  0x4000,                       -- /* CODEC Rx gain           */
  0x0000,                       -- /* CODEC sidetone gain     */
  {0,0,0,0,0,0,0},              -- /* Tx PCM filter           */
  {0,0,0,0,0,0,0},              -- /* Rx PCM filter
  0,                            --/-* Rx dBm offset 
  {
    0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
     ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};
voc_pcm_tty_on_chip_1_gsm_cal =
{
	VOC_EC_OFF,                    --/* Echo Canceller mode     */
  VOC_NS_OFF,                    --/* Noise suppressor enable */
  0x4000,                       --/* Tx Voice Volume         */
  0x1000,                       -- /* Tx DTMF gain            */
  0x2000,                       -- /* CODEC Tx gain           */
  0x4000,                       -- /* CODEC Rx gain           */
  0x0000,                       -- /* CODEC sidetone gain     */
  {0,0,0,0,0,0,0},               --/* Tx PCM filter           */
  {0,0,0,0,0,0,0},              -- /* Rx PCM filter
	0,                             -- /* Rx dBm offset 
  {
    0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0xF100, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
     ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};

voc_pcm_tty_vco_gsm_cal =
{
  VOC_EC_OFF,                    --/* Echo Canceller mode     */
  VOC_NS_OFF,                   -- /* Noise suppressor enable */
  0x4000,                        --/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x2000,                        --/* CODEC Tx gain           */
  0x4000,                        --/* CODEC Rx gain           */
  0,                             --/* CODEC sidetone gain     */
                                 --/* Tx PCM filter           */
  {0xfff3, 0x001d, 0xffb9, 0x016b, 0xfa71, 0x0c08, 0x309a},
  {0,0,0,0,0,0,0},              -- /* Rx PCM filter 
	0,                             -- /* Rx dBm offset 
  {
    0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
     ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};

voc_pcm_tty_hco_gsm_cal =
{
	VOC_EC_OFF,                    --/* Echo Canceller mode     */
  VOC_NS_OFF,                    --/* Noise suppressor enable */
  0x4000,                        --/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x2000,                        --/* CODEC Tx gain           */
  0x4000,                        --/* CODEC Rx gain           */
  0x0000,                        --/* CODEC sidetone gain     */
  {0,0,0,0,0,0,0},              -- /* Tx PCM filter           */
  {0,0,0,0,0,0,0},               --/* Rx PCM filter 
	0,                              --/* Rx dBm offset 
	{
    0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
     ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_HEADPHONE
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};
voc_pcm_usb_hfk_cal =
{
	VOC_EC_AEC,                    --/* Echo Canceller mode     */
  VOC_NS_ON,                     --/* Noise suppressor enable */
  0x4000,                        ---/* Tx Voice Volume         */
  0x1000,                        --/* Tx DTMF gain            */
  0x4000,                        --/* CODEC Tx gain
	0x4000,                        --/* CODEC Rx gain 
	0x0000,                        --/* CODEC sidetone 
	{0,0,0,0,0,0,0},               --/* Tx PCM filter
	{0,0,0,0,0,0,0},               --/* Rx PCM filter
	0,                             -- /* Rx dBm offset
  {
    0, 0xffff, 0x0780, 0xff9a, 0x1b0c, 0xf333,
    0x0600, 0,
    0x7f65, 0, 0x0780, 0xff9a, 0x1b0c, 0xf333
  }
     ,"voc_cal_ec_default_params"
  
--#ifdef FEATURE_AVS_NEXTGEN_EC
  ,"voc_cal_nextgen_ec_default_parms"
--#endif /* FEATURE_AVS_NEXTGEN_EC */

--#ifdef FEATURE_QSYNTH_ADRC
  ,"voc_cal_qsynth_adrc_ctl"
--#endif /* FEATURE_QSYNTH_ADRC */

--#ifdef FEATURE_QTUNES_ADRC
--#endif /* FEATURE_QTUNES_ADRC */
--#ifdef FEATURE_AUDFMT_STF
--#endif
--#ifdef FEATURE_AUDFMT_IIR_FILTER
--#endif

--#ifdef FEATURE_QAUDIOFX
  ,QDSP_CMD_3D_POS_OUTPUT_MODE_SPEAKER_FRONT
--#endif /* FEATURE_QAUDIOFX */

--#ifdef FEATURE_AUDFMT_FIR_FILTER
--#ifdef FEATURE_QSYNTH_COMMON
--#endif /* FEATURE_QSYNTH_COMMON */
--#ifdef FEATURE_QTUNES_COMMON
--#endif /* FEATURE_QTUNES_COMMON */
--#endif /* FEATURE_AUDFMT_FIR_FILTER */

  ,VOC_HSSD_DISABLED
};






   












        






      
                                                                                                                                                                                                                                            